#*******************************************************************************
#* FILE PURPOSE: Lower level makefile for Creating Component Libraries
#*******************************************************************************
#* FILE NAME: ./build/k2h/c66/ti.csl.ae66.mk
#*
#* DESCRIPTION: Defines Source Files, Compilers flags and build rules
#*
#*
#*******************************************************************************
#

#
# Macro definitions referenced below
#
empty =
space =$(empty) $(empty)
CC = $(C6X_GEN_INSTALL_PATH)/bin/cl6x -c --strip_coff_underscore -mo -o3 -q -k -eo.o -Dkeystone2 -mv6600 --abi=eabi
AC = $(C6X_GEN_INSTALL_PATH)/bin/cl6x -c --strip_coff_underscore -mv6600 --abi=eabi
ARIN = $(C6X_GEN_INSTALL_PATH)/bin/ar6x rq
LD = $(C6X_GEN_INSTALL_PATH)/bin/lnk6x --abi=eabi
RTSLIB = -l $(C6X_GEN_INSTALL_PATH)/lib/undefined
INCS = -I. -I$(strip $(subst ;, -I,$(subst $(space),\$(space),$(INCDIR))))
OBJEXT = oe66
AOBJEXT = se66
INTERNALDEFS = -Dti_targets_elf_C66  -DMAKEFILE_BUILD -eo.$(OBJEXT) -ea.$(AOBJEXT) -fr=$(@D) -fs=$(@D) -ppa -ppd=$@.dep
INTERNALLINKDEFS = -o $@ -m $@.map
OBJDIR = $(LIBDIR)/k2h/c66/obj

#List the COMMONSRC Files
COMMONSRCC= \
    device/k2h/src/csl_version.c\
    device/k2h/src/csl_aif2GetBaseAddress.c\
    device/k2h/src/csl_gpioGetBaseAddress.c\
    device/k2h/src/csl_edma3GetBaseAddress.c\
    device/k2h/src/csl_cpIntcGetBaseAddress.c\
    device/k2h/src/csl_srioGetBaseAddress.c\
    device/k2h/src/csl_timerGetBaseAddress.c\
    device/k2h/src/csl_pllcGetBaseAddress.c\
    device/k2h/src/csl_mpuGetBaseAddress.c\
    device/k2h/src/csl_emif4fGetBaseAddress.c\
    src/ip/aif2/V0/csl_aif2Init.c\
    src/ip/aif2/V0/csl_aif2Open.c\
    src/ip/aif2/V0/csl_aif2Close.c\
    src/ip/aif2/V0/csl_aif2HwSetup.c\
    src/ip/aif2/V0/csl_aif2HwControl.c\
    src/ip/aif2/V0/csl_aif2GetHwStatus.c\
    src/ip/aif2/V0/csl_aif2Reset.c\
    src/ip/chip/V0/csl_chip.c\
    src/ip/edma/V0/csl_edma3Init.c\
    src/ip/edma/V0/csl_edma3Open.c\
    src/ip/edma/V0/csl_edma3Close.c\
    src/ip/edma/V0/csl_edma3HwSetup.c\
    src/ip/edma/V0/csl_edma3HwControl.c\
    src/ip/edma/V0/csl_edma3GetHwStatus.c\
    src/ip/edma/V0/csl_edma3GetHwSetup.c\
    src/ip/edma/V0/csl_edma3ChannelOpen.c\
    src/ip/edma/V0/csl_edma3ChannelClose.c\
    src/ip/edma/V0/csl_edma3HwChannelSetup.c\
    src/ip/edma/V0/csl_edma3HwChannelControl.c\
    src/ip/edma/V0/csl_edma3GetHwChannelStatus.c\
    src/ip/edma/V0/csl_edma3GetHwChannelSetup.c\
    src/ip/edma/V0/csl_edma3Param.c\
    src/ip/emac/V0/csl_cpsw_5gf.c\
    src/ip/emac/V0/cslr_cpts_resetread.c\
    src/ip/mdio/V0/cslr_mdio_resetread.c\
    src/ip/tac2/V0/csl_tac2_regsBEAux.c\
    src/ip/tac2/V0/csl_tac2_regsFEAux.c\
    src/ip/tac2/V0/csl_tac2_regsSGCPAux.c\
    src/ip/serdes_sb/V0/cslr_wiz8b4m4sb_resetread.c\
    src/ip/serdes_sb/V0/cslr_wiz8b4sb_2ckr_resetread.c\
    src/ip/serdes_sb/V0/cslr_wiz8b4sb_resetread.c\
    src/ip/serdes_sb/V0/cslr_wiz8b8m4sb_resetread.c\
    src/ip/serdes_sb/V0/cslr_wiz8b8sb_resetread.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_PhyB_1p25G_156p25MHz_cmu0.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_PhyB_1p25G_156p25MHz_comlane.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_PhyB_10p3125G_16bit_lane1.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_PhyB_10p3125G_16bit_lane2.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_PhyB_10p3125G_156p25MHz_cmu1.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_PhyB_10p3125G_comlane.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_PhyB_aneg_lane1.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_PhyB_aneg_lane2.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_PhyB_reset_clr.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk100MHz_pci_5Gbps.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk122p88MHz_20bit_4p9152Gbps.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk122p88MHz_20bit_4p9152Gbps_2l1c.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk122p88MHz_20bit_6p144Gbps.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk122p88MHz_20bit_6p144Gbps_2l1c.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk125MHz_10bit_5Gbps.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk125MHz_20bit_5Gbps.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk125MHz_20bit_6p25Gbps.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk153p6MHz_20bit_4p9152Gbps_2l1c_sr1.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk153p6MHz_20bit_4p9152Gbps_sr1.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk153p6MHz_20bit_6p144Gbps.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk153p6MHz_20bit_6p144Gbps_2l1c.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk156p25MHz_10bit_5Gbps.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk156p25MHz_20bit_5Gbps.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk156p25MHz_20bit_5Gbps_sr1.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk156p25MHz_20bit_6p25Gbps.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk156p25MHz_20bit_10Gbps_sr1.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk156p25MHz_20bit_12p5Gbps_sr1.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk312p5MHz_20bit_5Gbps.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk312p5MHz_20bit_5Gbps_sr1.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk312p5MHz_20bit_6p25Gbps.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk312p5MHz_20bit_10Gbps_sr1.c\
    src/ip/serdes_sb/V0/csl_wiz8_sb_refclk312p5MHz_20bit_12p5Gbps_sr1.c\
    src/ip/sgmii/V0/cslr_cpsgmii_resetread.c\
    src/ip/sgmii/V0/csl_cpsgmii.c\
    src/ip/srio/V0/cslr_srio_resetread.c\
    src/ip/timer/V0/csl_tmrInit.c\
    src/ip/timer/V0/csl_tmrOpen.c\
    src/ip/timer/V0/csl_tmrClose.c\
    src/ip/timer/V0/csl_tmrHwSetup.c\
    src/ip/timer/V0/csl_tmrHwSetupRaw.c\
    src/ip/timer/V0/csl_tmrHwControl.c\
    src/ip/timer/V0/csl_tmrGetHwStatus.c\
    src/ip/timer/V0/csl_tmrGetHwSetup.c\
    src/ip/vcp2/V0/csl_vcp2.c\
    src/ip/usim/V0/cslr_usimocp_resetread.c\
    src/ip/xge/V0/cslr_xge_cpsw_resetread.c\
    src/ip/xge/V0/cslr_xge_cpsw_ss_s_resetread.c\
    src/ip/xge/V0/cslr_xge_cpxmac_sl_resetread.c

# FLAGS for the COMMONSRC Files
COMMONSRCCFLAGS =   -DDEVICE_K2H  -i./src/intc -i. 

# Make Rule for the COMMONSRC Files
COMMONSRCCOBJS = $(patsubst %.c, $(OBJDIR)/%.$(OBJEXT), $(COMMONSRCC))

$(COMMONSRCCOBJS): $(OBJDIR)/%.$(OBJEXT): %.c
	-@echo cle66 $< ...
	if [ ! -d $(@D) ]; then $(MKDIR) $(@D) ; fi;
	$(RM) $@.dep
	$(CC) $(COMMONSRCCFLAGS) $(INTERNALDEFS) $(INCS) -fc $< 
	-@$(CP) $@.dep $@.pp; \
         $(SED) -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
             -e '/^$$/ d' -e 's/$$/ :/' < $@.pp >> $@.dep; \
         $(RM) $@.pp 

#Create Empty rule for dependency
$(COMMONSRCCOBJS):./build/k2h/c66/ti.csl.ae66.mk
./build/k2h/c66/ti.csl.ae66.mk:

#Include Depedency for COMMONSRC Files
ifneq (clean,$(MAKECMDGOALS))
 -include $(COMMONSRCCOBJS:%.$(OBJEXT)=%.$(OBJEXT).dep)
endif

#List the COMMONSRC Files
COMMONSRCASM= \
    src/ip/tsc/V0/csl_tsc.asm

# FLAGS for the COMMONSRC Files
COMMONSRCASMFLAGS =   -i./src/intc -i. 

# Make Rule for the COMMONSRC Files
COMMONSRCASMOBJS = $(patsubst %.asm, $(OBJDIR)/%.$(OBJEXT), $(COMMONSRCASM))

$(COMMONSRCASMOBJS): $(OBJDIR)/%.$(OBJEXT): %.asm
	-@echo asme66 $< ...
	if [ ! -d $(@D) ]; then $(MKDIR) $(@D) ; fi;
	$(AC) $(COMMONSRCASMFLAGS) $(INTERNALDEFS) $(INCS) -fa $< 

#Create Empty rule for dependency
$(COMMONSRCASMOBJS):./build/k2h/c66/ti.csl.ae66.mk
./build/k2h/c66/ti.csl.ae66.mk:

#Include Depedency for COMMONSRC Files
ifneq (clean,$(MAKECMDGOALS))
 -include $(COMMONSRCASMOBJS:%.$(OBJEXT)=%.$(OBJEXT).dep)
endif


$(LIBDIR)/k2h/c66/ti.csl.ae66 : $(COMMONSRCCOBJS) $(COMMONSRCASMOBJS)
	@echo archiving $? into $@ ...
	if [ ! -d $(LIBDIR)/k2h/c66 ]; then $(MKDIR) $(LIBDIR)/k2h/c66 ; fi;
	$(ARIN) $@ $?
