/********************************************************************
* Copyright (C) 2003-2008 Texas Instruments Incorporated.
* All Rights Reserved
*********************************************************************
* file: cslr_ssl_wcdma_tdd_hdr.h
*
* Brief: This file contains the Register Description for ssl_wcdma_tdd_hdr
*
*********************************************************************/
#ifndef _CSLR_BCP_SSL_WCDMA_TDD_HDR_H_
#define _CSLR_BCP_SSL_WCDMA_TDD_HDR_H_

#include <ti/csl/cslr.h>

#include <ti/csl/tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 WORD0; /* Soft Slicer control header */
    volatile Uint32 WORD1; /* Generic Register description */
    volatile Uint32 WORD2; /* Generic Register description */
    volatile Uint32 WORD3; /* Generic Register description */
    volatile Uint32 WORD4; /* Generic Register description */
    volatile Uint32 WORD5; /* Generic Register description */
    volatile Uint32 WORD6; /* Generic Register description */
    volatile Uint32 WORD7; /* Generic Register description */
    volatile Uint32 WORD8; /* Generic Register description */
    volatile Uint32 WORD9; /* Generic Register description */
    volatile Uint32 WORD10; /* Generic Register description */
    volatile Uint32 WORD11; /* Generic Register description */
    volatile Uint32 WORD12; /* Generic Register description */
    volatile Uint32 WORD13; /* Generic Register description */
} CSL_Ssl_wcdma_tdd_hdrRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* Word 0 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD0_LOCAL_HDR_LEN_MASK (0x0000007Fu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD0_LOCAL_HDR_LEN_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD0_LOCAL_HDR_LEN_RESETVAL (0x00000000u)


#define CSL_SSL_WCDMA_TDD_HDR_WORD0_MOD_ID_MASK (0x00000F00u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD0_MOD_ID_SHIFT (0x00000008u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD0_MOD_ID_RESETVAL (0x00000000u)


#define CSL_SSL_WCDMA_TDD_HDR_WORD0_RESETVAL (0x00000000u)

/* Word 1 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_FDD_TDD_SELECT_MASK (0x00000001u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_FDD_TDD_SELECT_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_FDD_TDD_SELECT_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_SPLIT_MODE_EN_MASK (0x00000002u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_SPLIT_MODE_EN_SHIFT (0x00000001u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_SPLIT_MODE_EN_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_JACK_BIT_MASK (0x00000004u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_JACK_BIT_SHIFT (0x00000002u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_JACK_BIT_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_LTE_DESCRAMBLER_EN_MASK (0x00000008u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_LTE_DESCRAMBLER_EN_SHIFT (0x00000003u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_LTE_DESCRAMBLER_EN_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_MOD_TYPE_SEL_MASK (0x00000070u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_MOD_TYPE_SEL_SHIFT (0x00000004u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_MOD_TYPE_SEL_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_WCDMA_OUTPUT_PACK_MASK (0x00000080u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_WCDMA_OUTPUT_PACK_SHIFT (0x00000007u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_WCDMA_OUTPUT_PACK_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_CMUX_LN_MASK (0x00000300u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_CMUX_LN_SHIFT (0x00000008u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_CMUX_LN_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_Q_FORMAT_MASK (0x00000C00u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_Q_FORMAT_SHIFT (0x0000000Au)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_Q_FORMAT_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_B_MATRIX_SEL_MASK (0x0007F000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_B_MATRIX_SEL_SHIFT (0x0000000Cu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_B_MATRIX_SEL_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_TTI_2MS_10MS_SEL_MASK (0x00080000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_TTI_2MS_10MS_SEL_SHIFT (0x00000013u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_TTI_2MS_10MS_SEL_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_WCDMA_NUM_SLOTS_MASK (0x00700000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_WCDMA_NUM_SLOTS_SHIFT (0x00000014u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_WCDMA_NUM_SLOTS_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_WCDMA_NUM_PHY_CH_MASK (0x03800000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_WCDMA_NUM_PHY_CH_SHIFT (0x00000017u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_WCDMA_NUM_PHY_CH_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_RMUX_LN_INDEX_MASK (0xFC000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_RMUX_LN_INDEX_SHIFT (0x0000001Au)
#define CSL_SSL_WCDMA_TDD_HDR_WORD1_RMUX_LN_INDEX_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD1_RESETVAL (0x00000000u)

/* Word 2 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD2_UVA_0_MASK (0xFFFF0000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD2_UVA_0_SHIFT (0x00000010u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD2_UVA_0_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD2__RESV_MASK (0x0000F000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD2__RESV_SHIFT (0x0000000Cu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD2__RESV_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD2_WCDMA_SIZE_SLOT_0_MASK (0x00000FFFu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD2_WCDMA_SIZE_SLOT_0_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD2_WCDMA_SIZE_SLOT_0_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD2_RESETVAL (0x00000000u)

/* Word 3 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD3_SCALE_C0_0_MASK (0xFFFFFFFFu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD3_SCALE_C0_0_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD3_SCALE_C0_0_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD3_RESETVAL (0x00000000u)

/* Word 4 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD4_UVA_1_MASK (0xFFFF0000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD4_UVA_1_SHIFT (0x00000010u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD4_UVA_1_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD4__RESV_MASK (0x0000F000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD4__RESV_SHIFT (0x0000000Cu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD4__RESV_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD4_WCDMA_SIZE_SLOT_1_MASK (0x00000FFFu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD4_WCDMA_SIZE_SLOT_1_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD4_WCDMA_SIZE_SLOT_1_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD4_RESETVAL (0x00000000u)

/* Word 5 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD5_SCALE_C0_1_MASK (0xFFFFFFFFu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD5_SCALE_C0_1_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD5_SCALE_C0_1_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD5_RESETVAL (0x00000000u)

/* Word 6 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD6_UVA_2_MASK (0xFFFF0000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD6_UVA_2_SHIFT (0x00000010u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD6_UVA_2_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD6__RESV_MASK (0x0000F000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD6__RESV_SHIFT (0x0000000Cu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD6__RESV_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD6_WCDMA_SIZE_SLOT_2_MASK (0x00000FFFu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD6_WCDMA_SIZE_SLOT_2_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD6_WCDMA_SIZE_SLOT_2_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD6_RESETVAL (0x00000000u)

/* Word 7 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD7_SCALE_C0_2_MASK (0xFFFFFFFFu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD7_SCALE_C0_2_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD7_SCALE_C0_2_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD7_RESETVAL (0x00000000u)

/* Word 8 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD8_UVA_3_MASK (0xFFFF0000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD8_UVA_3_SHIFT (0x00000010u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD8_UVA_3_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD8__RESV_MASK (0x0000F000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD8__RESV_SHIFT (0x0000000Cu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD8__RESV_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD8_WCDMA_SIZE_SLOT_3_MASK (0x00000FFFu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD8_WCDMA_SIZE_SLOT_3_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD8_WCDMA_SIZE_SLOT_3_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD8_RESETVAL (0x00000000u)

/* Word 9 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD9_SCALE_C0_3_MASK (0xFFFFFFFFu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD9_SCALE_C0_3_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD9_SCALE_C0_3_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD9_RESETVAL (0x00000000u)

/* Word 10 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD10_UVA_4_MASK (0xFFFF0000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD10_UVA_4_SHIFT (0x00000010u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD10_UVA_4_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD10__RESV_MASK (0x0000F000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD10__RESV_SHIFT (0x0000000Cu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD10__RESV_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD10_WCDMA_SIZE_SLOT_4_MASK (0x00000FFFu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD10_WCDMA_SIZE_SLOT_4_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD10_WCDMA_SIZE_SLOT_4_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD10_RESETVAL (0x00000000u)

/* Word 11 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD11_SCALE_C0_4_MASK (0xFFFFFFFFu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD11_SCALE_C0_4_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD11_SCALE_C0_4_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD11_RESETVAL (0x00000000u)

/* Word 12 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD12_UVA_5_MASK (0xFFFF0000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD12_UVA_5_SHIFT (0x00000010u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD12_UVA_5_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD12__RESV_MASK (0x0000F000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD12__RESV_SHIFT (0x0000000Cu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD12__RESV_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD12_WCDMA_SIZE_SLOT_5_MASK (0x00000FFFu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD12_WCDMA_SIZE_SLOT_5_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD12_WCDMA_SIZE_SLOT_5_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD12_RESETVAL (0x00000000u)

/* Word 13 */

#define CSL_SSL_WCDMA_TDD_HDR_WORD13_SCALE_C0_5_MASK (0xFFFFFFFFu)
#define CSL_SSL_WCDMA_TDD_HDR_WORD13_SCALE_C0_5_SHIFT (0x00000000u)
#define CSL_SSL_WCDMA_TDD_HDR_WORD13_SCALE_C0_5_RESETVAL (0x00000000u)

#define CSL_SSL_WCDMA_TDD_HDR_WORD13_RESETVAL (0x00000000u)

#endif
