/********************************************************************
* Copyright (C) 2003-2008 Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*********************************************************************
* file: cslr_ct_tbr.h
*
* Brief: This file contains the Register Description for ct_tbr
*
*********************************************************************/
#ifndef _CSLR_CT_TBR_1_H_
#define _CSLR_CT_TBR_1_H_


#include <ti/csl/cslr.h>
#include <ti/csl/tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure for CT_TBR
\**************************************************************************/
typedef struct  {
    volatile Uint32 RSVD;
    volatile Uint32 CT_TBR_RAMSZ;
    volatile Uint32 CT_TBR_FIFOSZ;
    volatile Uint32 CT_TBR_STAT;
    volatile Uint32 CT_TBR_RAMRDAT;
    volatile Uint32 CT_TBR_RAMRPTR;
    volatile Uint32 CT_TBR_RAMWPTR;
    volatile Uint32 CT_TBR_TRGCNT;
    volatile Uint32 CT_TBR_CTRL;
    volatile Uint32 CT_TBR_RAMWDAT;
    volatile Uint8 RSVD0[216];
    volatile Uint32 CT_TBR_OUTLVL;
    volatile Uint32 CT_TBR_SICTRL;
    volatile Uint32 CT_TBR_IDPERIOD;
    volatile Uint32 CT_TBR_SEQCNTL;
    volatile Uint8 RSVD1[16];
    volatile Uint32 CT_TBR_EOI;
    volatile Uint32 CT_TBR_IRQSTATUS_RAW;
    volatile Uint32 CT_TBR_IRQSTATUS;
    volatile Uint32 CT_TBR_IRQENABLE_SET;
    volatile Uint32 CT_TBR_IRQENABLE_CLR;
    volatile Uint8 RSVD2[460];
    volatile Uint32 CT_TBR_OPSTAT;
    volatile Uint32 CT_TBR_OPCTRL;
    volatile Uint8 RSVD3[3224];
    volatile Uint32 CLAIMSET;
    volatile Uint32 CLAIMCLR;
    volatile Uint8 RSVD4[8];
    volatile Uint32 LOCKACC;
    volatile Uint32 LOCKSTAT;
    volatile Uint32 AUTHSTAT;
    volatile Uint8 RSVD5[12];
    volatile Uint32 DEVID;
    volatile Uint32 DEVTYPE;
    volatile Uint32 PERIPHID4;
    volatile Uint32 PERIPHID5;
    volatile Uint32 PERIPHID6;
    volatile Uint32 PERIPHID7;
    volatile Uint32 PERIPHID0;
    volatile Uint32 PERIPHID1;
    volatile Uint32 PERIPHID2;
    volatile Uint32 PERIPHID3;
    volatile Uint32 COMPID0;
    volatile Uint32 COMPID1;
    volatile Uint32 COMPID2;
    volatile Uint32 COMPID3;
} CSL_Ct_tbrCt_tbrRegs;

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    CSL_Ct_tbrCt_tbrRegs CT_TBR;
} CSL_Ct_tbrRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* RSVD */

#define CSL_CT_TBR_RSVD_RESETVAL         (0x00000000u)

/* CT_TBR_RAMSZ */

#define CSL_CT_TBR_CT_TBR_RAMSZ_RAM_SIZE_MASK (0x00000007u)
#define CSL_CT_TBR_CT_TBR_RAMSZ_RAM_SIZE_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_RAMSZ_RAM_SIZE_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_RAMSZ_RESERVED_MASK (0xFFFFFFF8u)
#define CSL_CT_TBR_CT_TBR_RAMSZ_RESERVED_SHIFT (0x00000003u)
#define CSL_CT_TBR_CT_TBR_RAMSZ_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_RAMSZ_RESETVAL (0x00000000u)

/* CT_TBR_FIFOSZ */

#define CSL_CT_TBR_CT_TBR_FIFOSZ_FIFO_SIZE_MASK (0x00000007u)
#define CSL_CT_TBR_CT_TBR_FIFOSZ_FIFO_SIZE_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_FIFOSZ_FIFO_SIZE_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_FIFOSZ_RESERVED_MASK (0xFFFFFFF8u)
#define CSL_CT_TBR_CT_TBR_FIFOSZ_RESERVED_SHIFT (0x00000003u)
#define CSL_CT_TBR_CT_TBR_FIFOSZ_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_FIFOSZ_RESETVAL (0x00000000u)

/* CT_TBR_STAT */

#define CSL_CT_TBR_CT_TBR_STAT_WRAP_MASK (0x00000001u)
#define CSL_CT_TBR_CT_TBR_STAT_WRAP_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_STAT_WRAP_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_STAT_TRIG_MASK (0x00000002u)
#define CSL_CT_TBR_CT_TBR_STAT_TRIG_SHIFT (0x00000001u)
#define CSL_CT_TBR_CT_TBR_STAT_TRIG_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_STAT_CPT_DONE_MASK (0x00000004u)
#define CSL_CT_TBR_CT_TBR_STAT_CPT_DONE_SHIFT (0x00000002u)
#define CSL_CT_TBR_CT_TBR_STAT_CPT_DONE_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_STAT_FMT_DONE_MASK (0x00000008u)
#define CSL_CT_TBR_CT_TBR_STAT_FMT_DONE_SHIFT (0x00000003u)
#define CSL_CT_TBR_CT_TBR_STAT_FMT_DONE_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_STAT_DRAIN_DONE_MASK (0x00000010u)
#define CSL_CT_TBR_CT_TBR_STAT_DRAIN_DONE_SHIFT (0x00000004u)
#define CSL_CT_TBR_CT_TBR_STAT_DRAIN_DONE_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_STAT_RESERVED_MASK (0xFFFFFFE0u)
#define CSL_CT_TBR_CT_TBR_STAT_RESERVED_SHIFT (0x00000005u)
#define CSL_CT_TBR_CT_TBR_STAT_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_STAT_RESETVAL  (0x00000000u)

/* CT_TBR_RAMRDAT */

#define CSL_CT_TBR_CT_TBR_RAMRDAT_DATA_MASK (0xFFFFFFFFu)
#define CSL_CT_TBR_CT_TBR_RAMRDAT_DATA_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_RAMRDAT_DATA_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_RAMRDAT_RESETVAL (0x00000000u)

/* CT_TBR_RAMRPTR */

#define CSL_CT_TBR_CT_TBR_RAMRPTR_PTR_MASK (0x003FFFFFu)
#define CSL_CT_TBR_CT_TBR_RAMRPTR_PTR_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_RAMRPTR_PTR_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_RAMRPTR_RESERVED_MASK (0xFFC00000u)
#define CSL_CT_TBR_CT_TBR_RAMRPTR_RESERVED_SHIFT (0x00000016u)
#define CSL_CT_TBR_CT_TBR_RAMRPTR_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_RAMRPTR_RESETVAL (0x00000000u)

/* CT_TBR_RAMWPTR */

#define CSL_CT_TBR_CT_TBR_RAMWPTR_PTR_MASK (0x003FFFFFu)
#define CSL_CT_TBR_CT_TBR_RAMWPTR_PTR_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_RAMWPTR_PTR_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_RAMWPTR_RESERVED_MASK (0xFFC00000u)
#define CSL_CT_TBR_CT_TBR_RAMWPTR_RESERVED_SHIFT (0x00000016u)
#define CSL_CT_TBR_CT_TBR_RAMWPTR_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_RAMWPTR_RESETVAL (0x00000000u)

/* CT_TBR_TRGCNT */

#define CSL_CT_TBR_CT_TBR_TRGCNT_COUNT_MASK (0x00000001u)
#define CSL_CT_TBR_CT_TBR_TRGCNT_COUNT_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_TRGCNT_COUNT_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_TRGCNT_RESERVED_MASK (0xFFFFFFFEu)
#define CSL_CT_TBR_CT_TBR_TRGCNT_RESERVED_SHIFT (0x00000001u)
#define CSL_CT_TBR_CT_TBR_TRGCNT_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_TRGCNT_RESETVAL (0x00000000u)

/* CT_TBR_CTRL */

#define CSL_CT_TBR_CT_TBR_CTRL_ENBL_MASK (0x00000001u)
#define CSL_CT_TBR_CT_TBR_CTRL_ENBL_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_CTRL_ENBL_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_CTRL_MODE_MASK (0x00000002u)
#define CSL_CT_TBR_CT_TBR_CTRL_MODE_SHIFT (0x00000001u)
#define CSL_CT_TBR_CT_TBR_CTRL_MODE_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_CTRL_RESERVED_MASK (0xFFFFFFFCu)
#define CSL_CT_TBR_CT_TBR_CTRL_RESERVED_SHIFT (0x00000002u)
#define CSL_CT_TBR_CT_TBR_CTRL_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_CTRL_RESETVAL  (0x00000000u)

/* CT_TBR_RAMWDAT */

#define CSL_CT_TBR_CT_TBR_RAMWDAT_DATA_MASK (0xFFFFFFFFu)
#define CSL_CT_TBR_CT_TBR_RAMWDAT_DATA_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_RAMWDAT_DATA_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_RAMWDAT_RESETVAL (0x00000000u)

/* CT_TBR_OUTLVL */

#define CSL_CT_TBR_CT_TBR_OUTLVL_OUTLEVEL_MASK (0x0000003Fu)
#define CSL_CT_TBR_CT_TBR_OUTLVL_OUTLEVEL_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_OUTLVL_OUTLEVEL_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OUTLVL_RESERVED_MASK (0xFFFFFFC0u)
#define CSL_CT_TBR_CT_TBR_OUTLVL_RESERVED_SHIFT (0x00000006u)
#define CSL_CT_TBR_CT_TBR_OUTLVL_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OUTLVL_RESETVAL (0x00000000u)

/* CT_TBR_SICTRL */

#define CSL_CT_TBR_CT_TBR_SICTRL_DATA_WIDTH_MASK (0x00000001u)
#define CSL_CT_TBR_CT_TBR_SICTRL_DATA_WIDTH_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_SICTRL_DATA_WIDTH_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_SICTRL_REQ_PEND_MASK (0x00000002u)
#define CSL_CT_TBR_CT_TBR_SICTRL_REQ_PEND_SHIFT (0x00000001u)
#define CSL_CT_TBR_CT_TBR_SICTRL_REQ_PEND_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_SICTRL_ERR_MASK (0x00000004u)
#define CSL_CT_TBR_CT_TBR_SICTRL_ERR_SHIFT (0x00000002u)
#define CSL_CT_TBR_CT_TBR_SICTRL_ERR_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_SICTRL_RESERVED_MASK (0x00000008u)
#define CSL_CT_TBR_CT_TBR_SICTRL_RESERVED_SHIFT (0x00000003u)
#define CSL_CT_TBR_CT_TBR_SICTRL_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_SICTRL_IDLE_MODE_MASK (0x00000030u)
#define CSL_CT_TBR_CT_TBR_SICTRL_IDLE_MODE_SHIFT (0x00000004u)
#define CSL_CT_TBR_CT_TBR_SICTRL_IDLE_MODE_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_SICTRL_RESERVED1_MASK (0xFFFFFFC0u)
#define CSL_CT_TBR_CT_TBR_SICTRL_RESERVED1_SHIFT (0x00000006u)
#define CSL_CT_TBR_CT_TBR_SICTRL_RESERVED1_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_SICTRL_RESETVAL (0x00000000u)

/* CT_TBR_IDPERIOD */

#define CSL_CT_TBR_CT_TBR_IDPERIOD_PERIOD_MASK (0x000003FFu)
#define CSL_CT_TBR_CT_TBR_IDPERIOD_PERIOD_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_IDPERIOD_PERIOD_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IDPERIOD_RESERVED_MASK (0xFFFFFC00u)
#define CSL_CT_TBR_CT_TBR_IDPERIOD_RESERVED_SHIFT (0x0000000Au)
#define CSL_CT_TBR_CT_TBR_IDPERIOD_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IDPERIOD_RESETVAL (0x00000000u)

/* CT_TBR_SEQCNTL */

#define CSL_CT_TBR_CT_TBR_SEQCNTL_SEQCNTL_MASK (0xFFFFFFFFu)
#define CSL_CT_TBR_CT_TBR_SEQCNTL_SEQCNTL_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_SEQCNTL_SEQCNTL_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_SEQCNTL_RESETVAL (0x00000000u)

/* CT_TBR_EOI */

#define CSL_CT_TBR_CT_TBR_EOI_EOI_VECT_MASK (0x00000001u)
#define CSL_CT_TBR_CT_TBR_EOI_EOI_VECT_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_EOI_EOI_VECT_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_EOI_RESERVED_MASK (0xFFFFFFFEu)
#define CSL_CT_TBR_CT_TBR_EOI_RESERVED_SHIFT (0x00000001u)
#define CSL_CT_TBR_CT_TBR_EOI_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_EOI_RESETVAL   (0x00000000u)

/* CT_TBR_IRQSTATUS_RAW */

#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RAW_DAV_IRQ_MASK (0x00000001u)
#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RAW_DAV_IRQ_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RAW_DAV_IRQ_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RAW_AQCMP_IRQ_MASK (0x00000002u)
#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RAW_AQCMP_IRQ_SHIFT (0x00000001u)
#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RAW_AQCMP_IRQ_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RAW_RESERVED_MASK (0xFFFFFFFCu)
#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RAW_RESERVED_SHIFT (0x00000002u)
#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RAW_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RAW_RESETVAL (0x00000000u)

/* CT_TBR_IRQSTATUS */

#define CSL_CT_TBR_CT_TBR_IRQSTATUS_DAV_IE_MASK (0x00000001u)
#define CSL_CT_TBR_CT_TBR_IRQSTATUS_DAV_IE_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_IRQSTATUS_DAV_IE_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IRQSTATUS_AQCMP_IE_MASK (0x00000002u)
#define CSL_CT_TBR_CT_TBR_IRQSTATUS_AQCMP_IE_SHIFT (0x00000001u)
#define CSL_CT_TBR_CT_TBR_IRQSTATUS_AQCMP_IE_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RESERVED_MASK (0xFFFFFFFCu)
#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RESERVED_SHIFT (0x00000002u)
#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IRQSTATUS_RESETVAL (0x00000000u)

/* CT_TBR_IRQENABLE_SET */

#define CSL_CT_TBR_CT_TBR_IRQENABLE_SET_DAV_IES_MASK (0x00000001u)
#define CSL_CT_TBR_CT_TBR_IRQENABLE_SET_DAV_IES_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_IRQENABLE_SET_DAV_IES_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IRQENABLE_SET_AQCMP_IES_MASK (0x00000002u)
#define CSL_CT_TBR_CT_TBR_IRQENABLE_SET_AQCMP_IES_SHIFT (0x00000001u)
#define CSL_CT_TBR_CT_TBR_IRQENABLE_SET_AQCMP_IES_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IRQENABLE_SET_RESERVED_MASK (0xFFFFFFFCu)
#define CSL_CT_TBR_CT_TBR_IRQENABLE_SET_RESERVED_SHIFT (0x00000002u)
#define CSL_CT_TBR_CT_TBR_IRQENABLE_SET_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IRQENABLE_SET_RESETVAL (0x00000000u)

/* CT_TBR_IRQENABLE_CLR */

#define CSL_CT_TBR_CT_TBR_IRQENABLE_CLR_DAV_IEC_MASK (0x00000001u)
#define CSL_CT_TBR_CT_TBR_IRQENABLE_CLR_DAV_IEC_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_IRQENABLE_CLR_DAV_IEC_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IRQENABLE_CLR_AQCMP_IEC_MASK (0x00000002u)
#define CSL_CT_TBR_CT_TBR_IRQENABLE_CLR_AQCMP_IEC_SHIFT (0x00000001u)
#define CSL_CT_TBR_CT_TBR_IRQENABLE_CLR_AQCMP_IEC_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IRQENABLE_CLR_RESERVED_MASK (0xFFFFFFFCu)
#define CSL_CT_TBR_CT_TBR_IRQENABLE_CLR_RESERVED_SHIFT (0x00000002u)
#define CSL_CT_TBR_CT_TBR_IRQENABLE_CLR_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_IRQENABLE_CLR_RESETVAL (0x00000000u)

/* CT_TBR_OPSTAT */

#define CSL_CT_TBR_CT_TBR_OPSTAT_FLSH_ACT_MASK (0x00000001u)
#define CSL_CT_TBR_CT_TBR_OPSTAT_FLSH_ACT_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_OPSTAT_FLSH_ACT_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPSTAT_FMT_HALTED_MASK (0x00000002u)
#define CSL_CT_TBR_CT_TBR_OPSTAT_FMT_HALTED_SHIFT (0x00000001u)
#define CSL_CT_TBR_CT_TBR_OPSTAT_FMT_HALTED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPSTAT_RESERVED_MASK (0xFFFFFFFCu)
#define CSL_CT_TBR_CT_TBR_OPSTAT_RESERVED_SHIFT (0x00000002u)
#define CSL_CT_TBR_CT_TBR_OPSTAT_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPSTAT_RESETVAL (0x00000000u)

/* CT_TBR_OPCTRL */

#define CSL_CT_TBR_CT_TBR_OPCTRL_FMT_ENBL_MASK (0x00000001u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_FMT_ENBL_SHIFT (0x00000000u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_FMT_ENBL_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_INSRT_TRG_MASK (0x00000002u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_INSRT_TRG_SHIFT (0x00000001u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_INSRT_TRG_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED_MASK (0x0000000Cu)
#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED_SHIFT (0x00000002u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_FLSH_FLSHIN_MASK (0x00000010u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_FLSH_FLSHIN_SHIFT (0x00000004u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_FLSH_FLSHIN_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_FLSH_TRG_MASK (0x00000020u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_FLSH_TRG_SHIFT (0x00000005u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_FLSH_TRG_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_FLUSH_MASK (0x00000040u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_FLUSH_SHIFT (0x00000006u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_FLUSH_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED1_MASK (0x00000080u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED1_SHIFT (0x00000007u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED1_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_TRG_TRGIN_MASK (0x00000100u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_TRG_TRGIN_SHIFT (0x00000008u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_TRG_TRGIN_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_TRG_EVT_MASK (0x00000200u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_TRG_EVT_SHIFT (0x00000009u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_TRG_EVT_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_TRG_FLSH_MASK (0x00000400u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_TRG_FLSH_SHIFT (0x0000000Au)
#define CSL_CT_TBR_CT_TBR_OPCTRL_TRG_FLSH_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED2_MASK (0x00000800u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED2_SHIFT (0x0000000Bu)
#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED2_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_STP_FLSH_MASK (0x00001000u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_STP_FLSH_SHIFT (0x0000000Cu)
#define CSL_CT_TBR_CT_TBR_OPCTRL_STP_FLSH_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_STP_TRG_MASK (0x00002000u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_STP_TRG_SHIFT (0x0000000Du)
#define CSL_CT_TBR_CT_TBR_OPCTRL_STP_TRG_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED3_MASK (0x00004000u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED3_SHIFT (0x0000000Eu)
#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED3_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_STP_FULL_MASK (0x00008000u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_STP_FULL_SHIFT (0x0000000Fu)
#define CSL_CT_TBR_CT_TBR_OPCTRL_STP_FULL_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_OUTFLUSH_MASK (0x00010000u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_OUTFLUSH_SHIFT (0x00000010u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_OUTFLUSH_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED4_MASK (0xFFFE0000u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED4_SHIFT (0x00000011u)
#define CSL_CT_TBR_CT_TBR_OPCTRL_RESERVED4_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CT_TBR_OPCTRL_RESETVAL (0x00000000u)

/* CLAIMSET */

#define CSL_CT_TBR_CLAIMSET_CTSET_MASK   (0x0000000Fu)
#define CSL_CT_TBR_CLAIMSET_CTSET_SHIFT  (0x00000000u)
#define CSL_CT_TBR_CLAIMSET_CTSET_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CLAIMSET_RESERVED_MASK (0xFFFFFFF0u)
#define CSL_CT_TBR_CLAIMSET_RESERVED_SHIFT (0x00000004u)
#define CSL_CT_TBR_CLAIMSET_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CLAIMSET_RESETVAL     (0x00000000u)

/* CLAIMCLR */

#define CSL_CT_TBR_CLAIMCLR_CTCLR_MASK   (0x0000000Fu)
#define CSL_CT_TBR_CLAIMCLR_CTCLR_SHIFT  (0x00000000u)
#define CSL_CT_TBR_CLAIMCLR_CTCLR_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CLAIMCLR_RESERVED_MASK (0xFFFFFFF0u)
#define CSL_CT_TBR_CLAIMCLR_RESERVED_SHIFT (0x00000004u)
#define CSL_CT_TBR_CLAIMCLR_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_CLAIMCLR_RESETVAL     (0x00000000u)

/* LOCKACC */

#define CSL_CT_TBR_LOCKACC_CODE_MASK     (0xFFFFFFFFu)
#define CSL_CT_TBR_LOCKACC_CODE_SHIFT    (0x00000000u)
#define CSL_CT_TBR_LOCKACC_CODE_RESETVAL (0x00000000u)

#define CSL_CT_TBR_LOCKACC_RESETVAL      (0x00000000u)

/* LOCKSTAT */

#define CSL_CT_TBR_LOCKSTAT_LOCKIMP_MASK (0x00000001u)
#define CSL_CT_TBR_LOCKSTAT_LOCKIMP_SHIFT (0x00000000u)
#define CSL_CT_TBR_LOCKSTAT_LOCKIMP_RESETVAL (0x00000000u)

#define CSL_CT_TBR_LOCKSTAT_STAT_MASK    (0x00000002u)
#define CSL_CT_TBR_LOCKSTAT_STAT_SHIFT   (0x00000001u)
#define CSL_CT_TBR_LOCKSTAT_STAT_RESETVAL (0x00000000u)

#define CSL_CT_TBR_LOCKSTAT_LOCKSZ_MASK  (0x00000004u)
#define CSL_CT_TBR_LOCKSTAT_LOCKSZ_SHIFT (0x00000002u)
#define CSL_CT_TBR_LOCKSTAT_LOCKSZ_RESETVAL (0x00000000u)

#define CSL_CT_TBR_LOCKSTAT_RESERVED_MASK (0xFFFFFFF8u)
#define CSL_CT_TBR_LOCKSTAT_RESERVED_SHIFT (0x00000003u)
#define CSL_CT_TBR_LOCKSTAT_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_LOCKSTAT_RESETVAL     (0x00000000u)

/* AUTHSTAT */

#define CSL_CT_TBR_AUTHSTAT_NS_I_STAT_MASK (0x00000003u)
#define CSL_CT_TBR_AUTHSTAT_NS_I_STAT_SHIFT (0x00000000u)
#define CSL_CT_TBR_AUTHSTAT_NS_I_STAT_RESETVAL (0x00000000u)

#define CSL_CT_TBR_AUTHSTAT_NS_NI_STAT_MASK (0x0000000Cu)
#define CSL_CT_TBR_AUTHSTAT_NS_NI_STAT_SHIFT (0x00000002u)
#define CSL_CT_TBR_AUTHSTAT_NS_NI_STAT_RESETVAL (0x00000000u)

#define CSL_CT_TBR_AUTHSTAT_S_I_STAT_MASK (0x00000030u)
#define CSL_CT_TBR_AUTHSTAT_S_I_STAT_SHIFT (0x00000004u)
#define CSL_CT_TBR_AUTHSTAT_S_I_STAT_RESETVAL (0x00000000u)

#define CSL_CT_TBR_AUTHSTAT_S_NI_STAT_MASK (0x000000C0u)
#define CSL_CT_TBR_AUTHSTAT_S_NI_STAT_SHIFT (0x00000006u)
#define CSL_CT_TBR_AUTHSTAT_S_NI_STAT_RESETVAL (0x00000000u)

#define CSL_CT_TBR_AUTHSTAT_RESERVED_MASK (0xFFFFFF00u)
#define CSL_CT_TBR_AUTHSTAT_RESERVED_SHIFT (0x00000008u)
#define CSL_CT_TBR_AUTHSTAT_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_AUTHSTAT_RESETVAL     (0x00000000u)

/* DEVID */

#define CSL_CT_TBR_DEVID_REV_MIN_MASK    (0x0000000Fu)
#define CSL_CT_TBR_DEVID_REV_MIN_SHIFT   (0x00000000u)
#define CSL_CT_TBR_DEVID_REV_MIN_RESETVAL (0x00000000u)

#define CSL_CT_TBR_DEVID_REV_MAJOR_MASK  (0x00000010u)
#define CSL_CT_TBR_DEVID_REV_MAJOR_SHIFT (0x00000004u)
#define CSL_CT_TBR_DEVID_REV_MAJOR_RESETVAL (0x00000000u)

#define CSL_CT_TBR_DEVID_RESERVED_MASK   (0xFFFFFFE0u)
#define CSL_CT_TBR_DEVID_RESERVED_SHIFT  (0x00000005u)
#define CSL_CT_TBR_DEVID_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_DEVID_RESETVAL        (0x00000000u)

/* DEVTYPE */

#define CSL_CT_TBR_DEVTYPE_MAIN_CLASS_MASK (0x0000000Fu)
#define CSL_CT_TBR_DEVTYPE_MAIN_CLASS_SHIFT (0x00000000u)
#define CSL_CT_TBR_DEVTYPE_MAIN_CLASS_RESETVAL (0x00000000u)

#define CSL_CT_TBR_DEVTYPE_SUB_TYPE_MASK (0x000000F0u)
#define CSL_CT_TBR_DEVTYPE_SUB_TYPE_SHIFT (0x00000004u)
#define CSL_CT_TBR_DEVTYPE_SUB_TYPE_RESETVAL (0x00000000u)

#define CSL_CT_TBR_DEVTYPE_RESERVED_MASK (0xFFFFFF00u)
#define CSL_CT_TBR_DEVTYPE_RESERVED_SHIFT (0x00000008u)
#define CSL_CT_TBR_DEVTYPE_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_DEVTYPE_RESETVAL      (0x00000000u)

/* PERIPHID4 */

#define CSL_CT_TBR_PERIPHID4_JEP_CONT_MASK (0x0000000Fu)
#define CSL_CT_TBR_PERIPHID4_JEP_CONT_SHIFT (0x00000000u)
#define CSL_CT_TBR_PERIPHID4_JEP_CONT_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID4_KB_COUNT_MASK (0x000000F0u)
#define CSL_CT_TBR_PERIPHID4_KB_COUNT_SHIFT (0x00000004u)
#define CSL_CT_TBR_PERIPHID4_KB_COUNT_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID4_RESERVED_MASK (0xFFFFFF00u)
#define CSL_CT_TBR_PERIPHID4_RESERVED_SHIFT (0x00000008u)
#define CSL_CT_TBR_PERIPHID4_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID4_RESETVAL    (0x00000000u)

/* PERIPHID5 */

#define CSL_CT_TBR_PERIPHID5_PID5_MASK   (0x000000FFu)
#define CSL_CT_TBR_PERIPHID5_PID5_SHIFT  (0x00000000u)
#define CSL_CT_TBR_PERIPHID5_PID5_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID5_RESERVED_MASK (0xFFFFFF00u)
#define CSL_CT_TBR_PERIPHID5_RESERVED_SHIFT (0x00000008u)
#define CSL_CT_TBR_PERIPHID5_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID5_RESETVAL    (0x00000000u)

/* PERIPHID6 */

#define CSL_CT_TBR_PERIPHID6_PID6_MASK   (0x000000FFu)
#define CSL_CT_TBR_PERIPHID6_PID6_SHIFT  (0x00000000u)
#define CSL_CT_TBR_PERIPHID6_PID6_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID6_PID7_MASK   (0xFFFFFF00u)
#define CSL_CT_TBR_PERIPHID6_PID7_SHIFT  (0x00000008u)
#define CSL_CT_TBR_PERIPHID6_PID7_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID6_RESETVAL    (0x00000000u)

/* PERIPHID7 */

#define CSL_CT_TBR_PERIPHID7_PID7_MASK   (0x000000FFu)
#define CSL_CT_TBR_PERIPHID7_PID7_SHIFT  (0x00000000u)
#define CSL_CT_TBR_PERIPHID7_PID7_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID7_RESERVED_MASK (0xFFFFFF00u)
#define CSL_CT_TBR_PERIPHID7_RESERVED_SHIFT (0x00000008u)
#define CSL_CT_TBR_PERIPHID7_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID7_RESETVAL    (0x00000000u)

/* PERIPHID0 */

#define CSL_CT_TBR_PERIPHID0_PART_ML_MASK (0x000000FFu)
#define CSL_CT_TBR_PERIPHID0_PART_ML_SHIFT (0x00000000u)
#define CSL_CT_TBR_PERIPHID0_PART_ML_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID0_RESERVED_MASK (0xFFFFFF00u)
#define CSL_CT_TBR_PERIPHID0_RESERVED_SHIFT (0x00000008u)
#define CSL_CT_TBR_PERIPHID0_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID0_RESETVAL    (0x00000000u)

/* PERIPHID1 */

#define CSL_CT_TBR_PERIPHID1_PART_U_MASK (0x0000000Fu)
#define CSL_CT_TBR_PERIPHID1_PART_U_SHIFT (0x00000000u)
#define CSL_CT_TBR_PERIPHID1_PART_U_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID1_JEPID_L_MASK (0x000000F0u)
#define CSL_CT_TBR_PERIPHID1_JEPID_L_SHIFT (0x00000004u)
#define CSL_CT_TBR_PERIPHID1_JEPID_L_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID1_RESERVED_MASK (0xFFFFFF00u)
#define CSL_CT_TBR_PERIPHID1_RESERVED_SHIFT (0x00000008u)
#define CSL_CT_TBR_PERIPHID1_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID1_RESETVAL    (0x00000000u)

/* PERIPHID2 */

#define CSL_CT_TBR_PERIPHID2_JEPID_H_MASK (0x00000007u)
#define CSL_CT_TBR_PERIPHID2_JEPID_H_SHIFT (0x00000000u)
#define CSL_CT_TBR_PERIPHID2_JEPID_H_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID2_JEDEC_MASK  (0x00000008u)
#define CSL_CT_TBR_PERIPHID2_JEDEC_SHIFT (0x00000003u)
#define CSL_CT_TBR_PERIPHID2_JEDEC_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID2_REVNUM_MASK (0x000000F0u)
#define CSL_CT_TBR_PERIPHID2_REVNUM_SHIFT (0x00000004u)
#define CSL_CT_TBR_PERIPHID2_REVNUM_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID2_RESERVED_MASK (0xFFFFFF00u)
#define CSL_CT_TBR_PERIPHID2_RESERVED_SHIFT (0x00000008u)
#define CSL_CT_TBR_PERIPHID2_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID2_RESETVAL    (0x00000000u)

/* PERIPHID3 */

#define CSL_CT_TBR_PERIPHID3_CUSTMOD_MASK (0x0000000Fu)
#define CSL_CT_TBR_PERIPHID3_CUSTMOD_SHIFT (0x00000000u)
#define CSL_CT_TBR_PERIPHID3_CUSTMOD_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID3_REVAND_MASK (0x000000F0u)
#define CSL_CT_TBR_PERIPHID3_REVAND_SHIFT (0x00000004u)
#define CSL_CT_TBR_PERIPHID3_REVAND_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID3_RESERVED_MASK (0xFFFFFF00u)
#define CSL_CT_TBR_PERIPHID3_RESERVED_SHIFT (0x00000008u)
#define CSL_CT_TBR_PERIPHID3_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_PERIPHID3_RESETVAL    (0x00000000u)

/* COMPID0 */

#define CSL_CT_TBR_COMPID0_CID0_MASK     (0x000000FFu)
#define CSL_CT_TBR_COMPID0_CID0_SHIFT    (0x00000000u)
#define CSL_CT_TBR_COMPID0_CID0_RESETVAL (0x00000000u)

#define CSL_CT_TBR_COMPID0_CID1_MASK     (0xFFFFFF00u)
#define CSL_CT_TBR_COMPID0_CID1_SHIFT    (0x00000008u)
#define CSL_CT_TBR_COMPID0_CID1_RESETVAL (0x00000000u)

#define CSL_CT_TBR_COMPID0_RESETVAL      (0x00000000u)

/* COMPID1 */

#define CSL_CT_TBR_COMPID1_CID1_MASK     (0x0000000Fu)
#define CSL_CT_TBR_COMPID1_CID1_SHIFT    (0x00000000u)
#define CSL_CT_TBR_COMPID1_CID1_RESETVAL (0x00000000u)

#define CSL_CT_TBR_COMPID1_CLASS_MASK    (0x000000F0u)
#define CSL_CT_TBR_COMPID1_CLASS_SHIFT   (0x00000004u)
#define CSL_CT_TBR_COMPID1_CLASS_RESETVAL (0x00000000u)

#define CSL_CT_TBR_COMPID1_CLASS1_MASK   (0xFFFFFF00u)
#define CSL_CT_TBR_COMPID1_CLASS1_SHIFT  (0x00000008u)
#define CSL_CT_TBR_COMPID1_CLASS1_RESETVAL (0x00000000u)

#define CSL_CT_TBR_COMPID1_RESETVAL      (0x00000000u)

/* COMPID2 */

#define CSL_CT_TBR_COMPID2_CID2_MASK     (0x000000FFu)
#define CSL_CT_TBR_COMPID2_CID2_SHIFT    (0x00000000u)
#define CSL_CT_TBR_COMPID2_CID2_RESETVAL (0x00000000u)

#define CSL_CT_TBR_COMPID2_RESERVED_MASK (0xFFFFFF00u)
#define CSL_CT_TBR_COMPID2_RESERVED_SHIFT (0x00000008u)
#define CSL_CT_TBR_COMPID2_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_COMPID2_RESETVAL      (0x00000000u)

/* COMPID3 */

#define CSL_CT_TBR_COMPID3_CID3_MASK     (0x000000FFu)
#define CSL_CT_TBR_COMPID3_CID3_SHIFT    (0x00000000u)
#define CSL_CT_TBR_COMPID3_CID3_RESETVAL (0x00000000u)

#define CSL_CT_TBR_COMPID3_RESERVED_MASK (0xFFFFFF00u)
#define CSL_CT_TBR_COMPID3_RESERVED_SHIFT (0x00000008u)
#define CSL_CT_TBR_COMPID3_RESERVED_RESETVAL (0x00000000u)

#define CSL_CT_TBR_COMPID3_RESETVAL      (0x00000000u)

#endif
