/*  ============================================================================
 *   Copyright (c) Texas Instruments Incorporated 2012-2013
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#include <ti/csl/cslr_wiz8b4sb_2ckr.h>

CSL_Wiz8b4sb_2ckrRegs CSL_Wiz8b4sb_2ckr_ResetVals;

void *Wiz8b4sb_2ckr_Reset_Val_Read()
{
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_000 = CSL_WIZ8B4SB_2CKR_CMU0_000_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_004 = CSL_WIZ8B4SB_2CKR_CMU0_004_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_008 = CSL_WIZ8B4SB_2CKR_CMU0_008_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_00C = CSL_WIZ8B4SB_2CKR_CMU0_00C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_010 = CSL_WIZ8B4SB_2CKR_CMU0_010_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_014 = CSL_WIZ8B4SB_2CKR_CMU0_014_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_018 = CSL_WIZ8B4SB_2CKR_CMU0_018_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_01C = CSL_WIZ8B4SB_2CKR_CMU0_01C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_020 = CSL_WIZ8B4SB_2CKR_CMU0_020_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_024 = CSL_WIZ8B4SB_2CKR_CMU0_024_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_028 = CSL_WIZ8B4SB_2CKR_CMU0_028_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_02C = CSL_WIZ8B4SB_2CKR_CMU0_02C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_030 = CSL_WIZ8B4SB_2CKR_CMU0_030_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_034 = CSL_WIZ8B4SB_2CKR_CMU0_034_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_038 = CSL_WIZ8B4SB_2CKR_CMU0_038_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_03C = CSL_WIZ8B4SB_2CKR_CMU0_03C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_040 = CSL_WIZ8B4SB_2CKR_CMU0_040_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_044 = CSL_WIZ8B4SB_2CKR_CMU0_044_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_048 = CSL_WIZ8B4SB_2CKR_CMU0_048_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_04C = CSL_WIZ8B4SB_2CKR_CMU0_04C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_050 = CSL_WIZ8B4SB_2CKR_CMU0_050_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_054 = CSL_WIZ8B4SB_2CKR_CMU0_054_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_058 = CSL_WIZ8B4SB_2CKR_CMU0_058_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_05C = CSL_WIZ8B4SB_2CKR_CMU0_05C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_060 = CSL_WIZ8B4SB_2CKR_CMU0_060_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_064 = CSL_WIZ8B4SB_2CKR_CMU0_064_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_068 = CSL_WIZ8B4SB_2CKR_CMU0_068_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_06C = CSL_WIZ8B4SB_2CKR_CMU0_06C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_070 = CSL_WIZ8B4SB_2CKR_CMU0_070_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_074 = CSL_WIZ8B4SB_2CKR_CMU0_074_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_078 = CSL_WIZ8B4SB_2CKR_CMU0_078_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_07C = CSL_WIZ8B4SB_2CKR_CMU0_07C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_0F8 = CSL_WIZ8B4SB_2CKR_CMU0_0F8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_0FC = CSL_WIZ8B4SB_2CKR_CMU0_0FC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU0.CMU0_100 = CSL_WIZ8B4SB_2CKR_CMU0_100_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_000 = CSL_WIZ8B4SB_2CKR_LANE_000_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_004 = CSL_WIZ8B4SB_2CKR_LANE_004_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_008 = CSL_WIZ8B4SB_2CKR_LANE_008_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_00C = CSL_WIZ8B4SB_2CKR_LANE_00C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_010 = CSL_WIZ8B4SB_2CKR_LANE_010_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_014 = CSL_WIZ8B4SB_2CKR_LANE_014_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_018 = CSL_WIZ8B4SB_2CKR_LANE_018_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_01C = CSL_WIZ8B4SB_2CKR_LANE_01C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_020 = CSL_WIZ8B4SB_2CKR_LANE_020_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_024 = CSL_WIZ8B4SB_2CKR_LANE_024_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_028 = CSL_WIZ8B4SB_2CKR_LANE_028_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_02C = CSL_WIZ8B4SB_2CKR_LANE_02C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_030 = CSL_WIZ8B4SB_2CKR_LANE_030_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_034 = CSL_WIZ8B4SB_2CKR_LANE_034_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_038 = CSL_WIZ8B4SB_2CKR_LANE_038_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_03C = CSL_WIZ8B4SB_2CKR_LANE_03C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_040 = CSL_WIZ8B4SB_2CKR_LANE_040_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_044 = CSL_WIZ8B4SB_2CKR_LANE_044_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_048 = CSL_WIZ8B4SB_2CKR_LANE_048_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_04C = CSL_WIZ8B4SB_2CKR_LANE_04C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_050 = CSL_WIZ8B4SB_2CKR_LANE_050_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_054 = CSL_WIZ8B4SB_2CKR_LANE_054_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_058 = CSL_WIZ8B4SB_2CKR_LANE_058_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_05C = CSL_WIZ8B4SB_2CKR_LANE_05C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_060 = CSL_WIZ8B4SB_2CKR_LANE_060_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_064 = CSL_WIZ8B4SB_2CKR_LANE_064_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_068 = CSL_WIZ8B4SB_2CKR_LANE_068_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_06C = CSL_WIZ8B4SB_2CKR_LANE_06C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_070 = CSL_WIZ8B4SB_2CKR_LANE_070_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_074 = CSL_WIZ8B4SB_2CKR_LANE_074_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_078 = CSL_WIZ8B4SB_2CKR_LANE_078_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_07C = CSL_WIZ8B4SB_2CKR_LANE_07C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_080 = CSL_WIZ8B4SB_2CKR_LANE_080_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_084 = CSL_WIZ8B4SB_2CKR_LANE_084_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_088 = CSL_WIZ8B4SB_2CKR_LANE_088_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_08C = CSL_WIZ8B4SB_2CKR_LANE_08C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_090 = CSL_WIZ8B4SB_2CKR_LANE_090_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_094 = CSL_WIZ8B4SB_2CKR_LANE_094_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_098 = CSL_WIZ8B4SB_2CKR_LANE_098_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_09C = CSL_WIZ8B4SB_2CKR_LANE_09C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_0A0 = CSL_WIZ8B4SB_2CKR_LANE_0A0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_0A4 = CSL_WIZ8B4SB_2CKR_LANE_0A4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_0A8 = CSL_WIZ8B4SB_2CKR_LANE_0A8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_180 = CSL_WIZ8B4SB_2CKR_LANE_180_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_184 = CSL_WIZ8B4SB_2CKR_LANE_184_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_188 = CSL_WIZ8B4SB_2CKR_LANE_188_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_18C = CSL_WIZ8B4SB_2CKR_LANE_18C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_190 = CSL_WIZ8B4SB_2CKR_LANE_190_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_194 = CSL_WIZ8B4SB_2CKR_LANE_194_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_198 = CSL_WIZ8B4SB_2CKR_LANE_198_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1B8 = CSL_WIZ8B4SB_2CKR_LANE_1B8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1C0 = CSL_WIZ8B4SB_2CKR_LANE_1C0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1C4 = CSL_WIZ8B4SB_2CKR_LANE_1C4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1C8 = CSL_WIZ8B4SB_2CKR_LANE_1C8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1CC = CSL_WIZ8B4SB_2CKR_LANE_1CC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1D0 = CSL_WIZ8B4SB_2CKR_LANE_1D0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1D4 = CSL_WIZ8B4SB_2CKR_LANE_1D4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1D8 = CSL_WIZ8B4SB_2CKR_LANE_1D8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1DC = CSL_WIZ8B4SB_2CKR_LANE_1DC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1E0 = CSL_WIZ8B4SB_2CKR_LANE_1E0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1E4 = CSL_WIZ8B4SB_2CKR_LANE_1E4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1E8 = CSL_WIZ8B4SB_2CKR_LANE_1E8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1EC = CSL_WIZ8B4SB_2CKR_LANE_1EC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1F0 = CSL_WIZ8B4SB_2CKR_LANE_1F0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[0].LANE_1F4 = CSL_WIZ8B4SB_2CKR_LANE_1F4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_000 = CSL_WIZ8B4SB_2CKR_LANE_000_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_004 = CSL_WIZ8B4SB_2CKR_LANE_004_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_008 = CSL_WIZ8B4SB_2CKR_LANE_008_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_00C = CSL_WIZ8B4SB_2CKR_LANE_00C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_010 = CSL_WIZ8B4SB_2CKR_LANE_010_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_014 = CSL_WIZ8B4SB_2CKR_LANE_014_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_018 = CSL_WIZ8B4SB_2CKR_LANE_018_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_01C = CSL_WIZ8B4SB_2CKR_LANE_01C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_020 = CSL_WIZ8B4SB_2CKR_LANE_020_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_024 = CSL_WIZ8B4SB_2CKR_LANE_024_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_028 = CSL_WIZ8B4SB_2CKR_LANE_028_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_02C = CSL_WIZ8B4SB_2CKR_LANE_02C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_030 = CSL_WIZ8B4SB_2CKR_LANE_030_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_034 = CSL_WIZ8B4SB_2CKR_LANE_034_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_038 = CSL_WIZ8B4SB_2CKR_LANE_038_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_03C = CSL_WIZ8B4SB_2CKR_LANE_03C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_040 = CSL_WIZ8B4SB_2CKR_LANE_040_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_044 = CSL_WIZ8B4SB_2CKR_LANE_044_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_048 = CSL_WIZ8B4SB_2CKR_LANE_048_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_04C = CSL_WIZ8B4SB_2CKR_LANE_04C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_050 = CSL_WIZ8B4SB_2CKR_LANE_050_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_054 = CSL_WIZ8B4SB_2CKR_LANE_054_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_058 = CSL_WIZ8B4SB_2CKR_LANE_058_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_05C = CSL_WIZ8B4SB_2CKR_LANE_05C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_060 = CSL_WIZ8B4SB_2CKR_LANE_060_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_064 = CSL_WIZ8B4SB_2CKR_LANE_064_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_068 = CSL_WIZ8B4SB_2CKR_LANE_068_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_06C = CSL_WIZ8B4SB_2CKR_LANE_06C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_070 = CSL_WIZ8B4SB_2CKR_LANE_070_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_074 = CSL_WIZ8B4SB_2CKR_LANE_074_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_078 = CSL_WIZ8B4SB_2CKR_LANE_078_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_07C = CSL_WIZ8B4SB_2CKR_LANE_07C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_080 = CSL_WIZ8B4SB_2CKR_LANE_080_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_084 = CSL_WIZ8B4SB_2CKR_LANE_084_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_088 = CSL_WIZ8B4SB_2CKR_LANE_088_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_08C = CSL_WIZ8B4SB_2CKR_LANE_08C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_090 = CSL_WIZ8B4SB_2CKR_LANE_090_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_094 = CSL_WIZ8B4SB_2CKR_LANE_094_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_098 = CSL_WIZ8B4SB_2CKR_LANE_098_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_09C = CSL_WIZ8B4SB_2CKR_LANE_09C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_0A0 = CSL_WIZ8B4SB_2CKR_LANE_0A0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_0A4 = CSL_WIZ8B4SB_2CKR_LANE_0A4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_0A8 = CSL_WIZ8B4SB_2CKR_LANE_0A8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_180 = CSL_WIZ8B4SB_2CKR_LANE_180_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_184 = CSL_WIZ8B4SB_2CKR_LANE_184_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_188 = CSL_WIZ8B4SB_2CKR_LANE_188_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_18C = CSL_WIZ8B4SB_2CKR_LANE_18C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_190 = CSL_WIZ8B4SB_2CKR_LANE_190_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_194 = CSL_WIZ8B4SB_2CKR_LANE_194_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_198 = CSL_WIZ8B4SB_2CKR_LANE_198_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1B8 = CSL_WIZ8B4SB_2CKR_LANE_1B8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1C0 = CSL_WIZ8B4SB_2CKR_LANE_1C0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1C4 = CSL_WIZ8B4SB_2CKR_LANE_1C4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1C8 = CSL_WIZ8B4SB_2CKR_LANE_1C8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1CC = CSL_WIZ8B4SB_2CKR_LANE_1CC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1D0 = CSL_WIZ8B4SB_2CKR_LANE_1D0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1D4 = CSL_WIZ8B4SB_2CKR_LANE_1D4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1D8 = CSL_WIZ8B4SB_2CKR_LANE_1D8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1DC = CSL_WIZ8B4SB_2CKR_LANE_1DC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1E0 = CSL_WIZ8B4SB_2CKR_LANE_1E0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1E4 = CSL_WIZ8B4SB_2CKR_LANE_1E4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1E8 = CSL_WIZ8B4SB_2CKR_LANE_1E8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1EC = CSL_WIZ8B4SB_2CKR_LANE_1EC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1F0 = CSL_WIZ8B4SB_2CKR_LANE_1F0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.LANE[1].LANE_1F4 = CSL_WIZ8B4SB_2CKR_LANE_1F4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_000 = CSL_WIZ8B4SB_2CKR_COMLANE_000_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_004 = CSL_WIZ8B4SB_2CKR_COMLANE_004_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_008 = CSL_WIZ8B4SB_2CKR_COMLANE_008_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_00C = CSL_WIZ8B4SB_2CKR_COMLANE_00C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_010 = CSL_WIZ8B4SB_2CKR_COMLANE_010_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_014 = CSL_WIZ8B4SB_2CKR_COMLANE_014_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_030 = CSL_WIZ8B4SB_2CKR_COMLANE_030_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_034 = CSL_WIZ8B4SB_2CKR_COMLANE_034_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_038 = CSL_WIZ8B4SB_2CKR_COMLANE_038_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_03C = CSL_WIZ8B4SB_2CKR_COMLANE_03C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_040 = CSL_WIZ8B4SB_2CKR_COMLANE_040_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_044 = CSL_WIZ8B4SB_2CKR_COMLANE_044_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_048 = CSL_WIZ8B4SB_2CKR_COMLANE_048_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_04C = CSL_WIZ8B4SB_2CKR_COMLANE_04C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_050 = CSL_WIZ8B4SB_2CKR_COMLANE_050_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_054 = CSL_WIZ8B4SB_2CKR_COMLANE_054_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_058 = CSL_WIZ8B4SB_2CKR_COMLANE_058_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_05C = CSL_WIZ8B4SB_2CKR_COMLANE_05C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_060 = CSL_WIZ8B4SB_2CKR_COMLANE_060_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_064 = CSL_WIZ8B4SB_2CKR_COMLANE_064_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_068 = CSL_WIZ8B4SB_2CKR_COMLANE_068_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_06C = CSL_WIZ8B4SB_2CKR_COMLANE_06C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_070 = CSL_WIZ8B4SB_2CKR_COMLANE_070_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_074 = CSL_WIZ8B4SB_2CKR_COMLANE_074_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_078 = CSL_WIZ8B4SB_2CKR_COMLANE_078_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_07C = CSL_WIZ8B4SB_2CKR_COMLANE_07C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_080 = CSL_WIZ8B4SB_2CKR_COMLANE_080_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_084 = CSL_WIZ8B4SB_2CKR_COMLANE_084_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_088 = CSL_WIZ8B4SB_2CKR_COMLANE_088_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_08C = CSL_WIZ8B4SB_2CKR_COMLANE_08C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_090 = CSL_WIZ8B4SB_2CKR_COMLANE_090_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_094 = CSL_WIZ8B4SB_2CKR_COMLANE_094_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_098 = CSL_WIZ8B4SB_2CKR_COMLANE_098_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_09C = CSL_WIZ8B4SB_2CKR_COMLANE_09C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0A0 = CSL_WIZ8B4SB_2CKR_COMLANE_0A0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0A4 = CSL_WIZ8B4SB_2CKR_COMLANE_0A4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0A8 = CSL_WIZ8B4SB_2CKR_COMLANE_0A8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0AC = CSL_WIZ8B4SB_2CKR_COMLANE_0AC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0B0 = CSL_WIZ8B4SB_2CKR_COMLANE_0B0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0B4 = CSL_WIZ8B4SB_2CKR_COMLANE_0B4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0B8 = CSL_WIZ8B4SB_2CKR_COMLANE_0B8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0BC = CSL_WIZ8B4SB_2CKR_COMLANE_0BC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0C0 = CSL_WIZ8B4SB_2CKR_COMLANE_0C0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0C4 = CSL_WIZ8B4SB_2CKR_COMLANE_0C4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0C8 = CSL_WIZ8B4SB_2CKR_COMLANE_0C8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0E8 = CSL_WIZ8B4SB_2CKR_COMLANE_0E8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0EC = CSL_WIZ8B4SB_2CKR_COMLANE_0EC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0F0 = CSL_WIZ8B4SB_2CKR_COMLANE_0F0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0F4 = CSL_WIZ8B4SB_2CKR_COMLANE_0F4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0F8 = CSL_WIZ8B4SB_2CKR_COMLANE_0F8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_0FC = CSL_WIZ8B4SB_2CKR_COMLANE_0FC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_100 = CSL_WIZ8B4SB_2CKR_COMLANE_100_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_104 = CSL_WIZ8B4SB_2CKR_COMLANE_104_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_108 = CSL_WIZ8B4SB_2CKR_COMLANE_108_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_10C = CSL_WIZ8B4SB_2CKR_COMLANE_10C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_110 = CSL_WIZ8B4SB_2CKR_COMLANE_110_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_114 = CSL_WIZ8B4SB_2CKR_COMLANE_114_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_118 = CSL_WIZ8B4SB_2CKR_COMLANE_118_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_11C = CSL_WIZ8B4SB_2CKR_COMLANE_11C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_120 = CSL_WIZ8B4SB_2CKR_COMLANE_120_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_124 = CSL_WIZ8B4SB_2CKR_COMLANE_124_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_128 = CSL_WIZ8B4SB_2CKR_COMLANE_128_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_12C = CSL_WIZ8B4SB_2CKR_COMLANE_12C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_130 = CSL_WIZ8B4SB_2CKR_COMLANE_130_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_134 = CSL_WIZ8B4SB_2CKR_COMLANE_134_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_138 = CSL_WIZ8B4SB_2CKR_COMLANE_138_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_13C = CSL_WIZ8B4SB_2CKR_COMLANE_13C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_140 = CSL_WIZ8B4SB_2CKR_COMLANE_140_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_144 = CSL_WIZ8B4SB_2CKR_COMLANE_144_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_148 = CSL_WIZ8B4SB_2CKR_COMLANE_148_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_14C = CSL_WIZ8B4SB_2CKR_COMLANE_14C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_150 = CSL_WIZ8B4SB_2CKR_COMLANE_150_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_154 = CSL_WIZ8B4SB_2CKR_COMLANE_154_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_158 = CSL_WIZ8B4SB_2CKR_COMLANE_158_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_15C = CSL_WIZ8B4SB_2CKR_COMLANE_15C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_160 = CSL_WIZ8B4SB_2CKR_COMLANE_160_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_164 = CSL_WIZ8B4SB_2CKR_COMLANE_164_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_168 = CSL_WIZ8B4SB_2CKR_COMLANE_168_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_16C = CSL_WIZ8B4SB_2CKR_COMLANE_16C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_170 = CSL_WIZ8B4SB_2CKR_COMLANE_170_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_174 = CSL_WIZ8B4SB_2CKR_COMLANE_174_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_178 = CSL_WIZ8B4SB_2CKR_COMLANE_178_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_190 = CSL_WIZ8B4SB_2CKR_COMLANE_190_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_194 = CSL_WIZ8B4SB_2CKR_COMLANE_194_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_198 = CSL_WIZ8B4SB_2CKR_COMLANE_198_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_19C = CSL_WIZ8B4SB_2CKR_COMLANE_19C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_1A0 = CSL_WIZ8B4SB_2CKR_COMLANE_1A0_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_1A4 = CSL_WIZ8B4SB_2CKR_COMLANE_1A4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_1A8 = CSL_WIZ8B4SB_2CKR_COMLANE_1A8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_1AC = CSL_WIZ8B4SB_2CKR_COMLANE_1AC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_1F4 = CSL_WIZ8B4SB_2CKR_COMLANE_1F4_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_1F8 = CSL_WIZ8B4SB_2CKR_COMLANE_1F8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.COMLANE.COMLANE_1FC = CSL_WIZ8B4SB_2CKR_COMLANE_1FC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_000 = CSL_WIZ8B4SB_2CKR_CMU1_000_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_004 = CSL_WIZ8B4SB_2CKR_CMU1_004_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_008 = CSL_WIZ8B4SB_2CKR_CMU1_008_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_00C = CSL_WIZ8B4SB_2CKR_CMU1_00C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_010 = CSL_WIZ8B4SB_2CKR_CMU1_010_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_014 = CSL_WIZ8B4SB_2CKR_CMU1_014_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_018 = CSL_WIZ8B4SB_2CKR_CMU1_018_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_01C = CSL_WIZ8B4SB_2CKR_CMU1_01C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_020 = CSL_WIZ8B4SB_2CKR_CMU1_020_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_024 = CSL_WIZ8B4SB_2CKR_CMU1_024_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_028 = CSL_WIZ8B4SB_2CKR_CMU1_028_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_02C = CSL_WIZ8B4SB_2CKR_CMU1_02C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_030 = CSL_WIZ8B4SB_2CKR_CMU1_030_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_034 = CSL_WIZ8B4SB_2CKR_CMU1_034_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_038 = CSL_WIZ8B4SB_2CKR_CMU1_038_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_03C = CSL_WIZ8B4SB_2CKR_CMU1_03C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_040 = CSL_WIZ8B4SB_2CKR_CMU1_040_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_044 = CSL_WIZ8B4SB_2CKR_CMU1_044_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_048 = CSL_WIZ8B4SB_2CKR_CMU1_048_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_04C = CSL_WIZ8B4SB_2CKR_CMU1_04C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_050 = CSL_WIZ8B4SB_2CKR_CMU1_050_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_054 = CSL_WIZ8B4SB_2CKR_CMU1_054_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_058 = CSL_WIZ8B4SB_2CKR_CMU1_058_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_05C = CSL_WIZ8B4SB_2CKR_CMU1_05C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_060 = CSL_WIZ8B4SB_2CKR_CMU1_060_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_064 = CSL_WIZ8B4SB_2CKR_CMU1_064_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_068 = CSL_WIZ8B4SB_2CKR_CMU1_068_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_06C = CSL_WIZ8B4SB_2CKR_CMU1_06C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_070 = CSL_WIZ8B4SB_2CKR_CMU1_070_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_074 = CSL_WIZ8B4SB_2CKR_CMU1_074_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_078 = CSL_WIZ8B4SB_2CKR_CMU1_078_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_07C = CSL_WIZ8B4SB_2CKR_CMU1_07C_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_0F8 = CSL_WIZ8B4SB_2CKR_CMU1_0F8_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_0FC = CSL_WIZ8B4SB_2CKR_CMU1_0FC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CMU1.CMU1_100 = CSL_WIZ8B4SB_2CKR_CMU1_100_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CONFIG.MOD_VER = CSL_WIZ8B4SB_2CKR_MOD_VER_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CONFIG.MEM_ADR = CSL_WIZ8B4SB_2CKR_MEM_ADR_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CONFIG.MEM_DAT = CSL_WIZ8B4SB_2CKR_MEM_DAT_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CONFIG.MEM_DATINC = CSL_WIZ8B4SB_2CKR_MEM_DATINC_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CONFIG.CPU_CTRL = CSL_WIZ8B4SB_2CKR_CPU_CTRL_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CONFIG.LANEXCTL_STS[0] = CSL_WIZ8B4SB_2CKR_LANEXCTL_STS_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CONFIG.LANEXCTL_STS[1] = CSL_WIZ8B4SB_2CKR_LANEXCTL_STS_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CONFIG.LINK_LOSS_WAIT = CSL_WIZ8B4SB_2CKR_LINK_LOSS_WAIT_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CONFIG.PLL_CTRL = CSL_WIZ8B4SB_2CKR_PLL_CTRL_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CONFIG.COMMA_LINK_DELAY = CSL_WIZ8B4SB_2CKR_COMMA_LINK_DELAY_RESETVAL;
    CSL_Wiz8b4sb_2ckr_ResetVals.CONFIG.CMU_WAIT = CSL_WIZ8B4SB_2CKR_CMU_WAIT_RESETVAL;
    return ((void *)&CSL_Wiz8b4sb_2ckr_ResetVals);
}
