/********************************************************************
 * Copyright (C) 2003-2012 Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*********************************************************************/

/* CSL Modification:
 *  The file has been modified from the AUTOGEN file for the following
 *  reasons:-
 *      a) Header files are included as per RTSC guidelines
 */

#include <ti/csl/cslr_xge_cpsw.h>

CSL_Xge_cpswRegs CSL_Xge_cpsw_ResetVals;

void *Xge_cpsw_Reset_Val_Read()
{
    CSL_Xge_cpsw_ResetVals.CPSW_ID_VER_REG = CSL_XGE_CPSW_CPSW_ID_VER_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.CPSW_CONTROL_REG = CSL_XGE_CPSW_CPSW_CONTROL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.EM_CONTROL_REG = CSL_XGE_CPSW_EM_CONTROL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.STAT_PORT_EN_REG = CSL_XGE_CPSW_STAT_PORT_EN_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PTYPE_REG = CSL_XGE_CPSW_PTYPE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.SOFT_IDLE_REG = CSL_XGE_CPSW_SOFT_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.THRU_RATE_REG = CSL_XGE_CPSW_THRU_RATE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.GAP_THRESH_CPGMAC_SL_REG = CSL_XGE_CPSW_GAP_THRESH_CPGMAC_SL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.TX_START_WDS_REG = CSL_XGE_CPSW_TX_START_WDS_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.FLOW_CONTROL_REG = CSL_XGE_CPSW_FLOW_CONTROL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.CPPI_THRESH_REG = CSL_XGE_CPSW_CPPI_THRESH_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.P0_BLK_CNT_REG = CSL_XGE_CPSW_P0_BLK_CNT_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.P0_PORT_VLAN_REG = CSL_XGE_CPSW_P0_PORT_VLAN_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.P0_TX_PRI_MAP_REG = CSL_XGE_CPSW_P0_TX_PRI_MAP_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.P0_SRC_ID_REG = CSL_XGE_CPSW_P0_SRC_ID_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.P0_RX_PRI_MAP_REG = CSL_XGE_CPSW_P0_RX_PRI_MAP_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.RX_MAXLEN_REG = CSL_XGE_CPSW_RX_MAXLEN_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[0].P_BLK_CNT_REG = CSL_XGE_CPSW_P_BLK_CNT_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[0].P_PORT_VLAN_REG = CSL_XGE_CPSW_P_PORT_VLAN_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[0].P_TX_PRI_MAP_REG = CSL_XGE_CPSW_P_TX_PRI_MAP_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[0].SL_SA_LO_REG = CSL_XGE_CPSW_SL_SA_LO_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[0].SL_SA_HI_REG = CSL_XGE_CPSW_SL_SA_HI_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[0].P_TS_CTL_REG = CSL_XGE_CPSW_P_TS_CTL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[0].P_TS_SEQ_LTYPE_REG = CSL_XGE_CPSW_P_TS_SEQ_LTYPE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[0].P_TS_VLAN_LTYPE_REG = CSL_XGE_CPSW_P_TS_VLAN_LTYPE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[0].P_TS_CTL_LTYPE2_REG = CSL_XGE_CPSW_P_TS_CTL_LTYPE2_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[0].P_TS_CTL2_REG = CSL_XGE_CPSW_P_TS_CTL2_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[0].P_CONTROL_REG = CSL_XGE_CPSW_P_CONTROL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[1].P_BLK_CNT_REG = CSL_XGE_CPSW_P_BLK_CNT_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[1].P_PORT_VLAN_REG = CSL_XGE_CPSW_P_PORT_VLAN_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[1].P_TX_PRI_MAP_REG = CSL_XGE_CPSW_P_TX_PRI_MAP_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[1].SL_SA_LO_REG = CSL_XGE_CPSW_SL_SA_LO_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[1].SL_SA_HI_REG = CSL_XGE_CPSW_SL_SA_HI_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[1].P_TS_CTL_REG = CSL_XGE_CPSW_P_TS_CTL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[1].P_TS_SEQ_LTYPE_REG = CSL_XGE_CPSW_P_TS_SEQ_LTYPE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[1].P_TS_VLAN_LTYPE_REG = CSL_XGE_CPSW_P_TS_VLAN_LTYPE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[1].P_TS_CTL_LTYPE2_REG = CSL_XGE_CPSW_P_TS_CTL_LTYPE2_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[1].P_TS_CTL2_REG = CSL_XGE_CPSW_P_TS_CTL2_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_INFO[1].P_CONTROL_REG = CSL_XGE_CPSW_P_CONTROL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.ALE.ALE_ID_REG = CSL_XGE_CPSW_ALE_ID_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.ALE.ALE_CONTROL_REG = CSL_XGE_CPSW_ALE_CONTROL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.ALE.ALE_PRESCALE_REG = CSL_XGE_CPSW_ALE_PRESCALE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.ALE.ALE_AGING_TIMER_REG = CSL_XGE_CPSW_ALE_AGING_TIMER_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.ALE.ALE_UNKNOWN_VLAN_REG = CSL_XGE_CPSW_ALE_UNKNOWN_VLAN_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.ALE.ALE_TABLE_CONTROL_REG = CSL_XGE_CPSW_ALE_TABLE_CONTROL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.ALE.ALE_TABLE_WORD2_REG = CSL_XGE_CPSW_ALE_TABLE_WORD2_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.ALE.ALE_TABLE_WORD1_REG = CSL_XGE_CPSW_ALE_TABLE_WORD1_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.ALE.ALE_TABLE_WORD0_REG = CSL_XGE_CPSW_ALE_TABLE_WORD0_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.ALE.ALE_PORT_CONTROL_REG[0] = CSL_XGE_CPSW_ALE_PORT_CONTROL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.ALE.ALE_PORT_CONTROL_REG[1] = CSL_XGE_CPSW_ALE_PORT_CONTROL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.ALE.ALE_PORT_CONTROL_REG[2] = CSL_XGE_CPSW_ALE_PORT_CONTROL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].RXGOODFRAMES = CSL_XGE_CPSW_RXGOODFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].RXBROADCASTFRAMES = CSL_XGE_CPSW_RXBROADCASTFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].RXMULTICASTFRAMES = CSL_XGE_CPSW_RXMULTICASTFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].RXPAUSEFRAMES = CSL_XGE_CPSW_RXPAUSEFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].RXCRCERRORS = CSL_XGE_CPSW_RXCRCERRORS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].RXALIGNCODEERRORS = CSL_XGE_CPSW_RXALIGNCODEERRORS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].RXOVERSIZEDFRAMES = CSL_XGE_CPSW_RXOVERSIZEDFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].RXJABBERFRAMES = CSL_XGE_CPSW_RXJABBERFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].RXUNDERSIZEDFRAMES = CSL_XGE_CPSW_RXUNDERSIZEDFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].RXFRAGMENTS = CSL_XGE_CPSW_RXFRAGMENTS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].OVERRUNTYPE4 = CSL_XGE_CPSW_OVERRUNTYPE4_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].OVERRUNTYPE5 = CSL_XGE_CPSW_OVERRUNTYPE5_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].RXOCTETS = CSL_XGE_CPSW_RXOCTETS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].TXGOODFRAMES = CSL_XGE_CPSW_TXGOODFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].TXBROADCASTFRAMES = CSL_XGE_CPSW_TXBROADCASTFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].TXMULTICASTFRAMES = CSL_XGE_CPSW_TXMULTICASTFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].TXPAUSEFRAMES = CSL_XGE_CPSW_TXPAUSEFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].TXDEFERREDFRAMES = CSL_XGE_CPSW_TXDEFERREDFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].TXCOLLISIONFRAMES = CSL_XGE_CPSW_TXCOLLISIONFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].TXSINGLECOLLFRAMES = CSL_XGE_CPSW_TXSINGLECOLLFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].TXMULTCOLLFRAMES = CSL_XGE_CPSW_TXMULTCOLLFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].TXEXCESSIVECOLLISIONS = CSL_XGE_CPSW_TXEXCESSIVECOLLISIONS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].TXLATECOLLISIONS = CSL_XGE_CPSW_TXLATECOLLISIONS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].RXIPGERROR = CSL_XGE_CPSW_RXIPGERROR_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].TXCARRIERSENSEERRORS = CSL_XGE_CPSW_TXCARRIERSENSEERRORS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].TXOCTETS = CSL_XGE_CPSW_TXOCTETS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].OCTETFRAMES64 = CSL_XGE_CPSW_OCTETFRAMES64_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].OCTETFRAMES65T127 = CSL_XGE_CPSW_OCTETFRAMES65T127_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].OCTETFRAMES128T255 = CSL_XGE_CPSW_OCTETFRAMES128T255_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].OCTETFRAMES256T511 = CSL_XGE_CPSW_OCTETFRAMES256T511_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].OCTETFRAMES512T1023 = CSL_XGE_CPSW_OCTETFRAMES512T1023_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].OCTETFRAMES1024TUP = CSL_XGE_CPSW_OCTETFRAMES1024TUP_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].NETOCTETS = CSL_XGE_CPSW_NETOCTETS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].OVERRUNTYPE1 = CSL_XGE_CPSW_OVERRUNTYPE1_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].OVERRUNTYPE2 = CSL_XGE_CPSW_OVERRUNTYPE2_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[0].OVERRUNTYPE3 = CSL_XGE_CPSW_OVERRUNTYPE3_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].RXGOODFRAMES = CSL_XGE_CPSW_RXGOODFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].RXBROADCASTFRAMES = CSL_XGE_CPSW_RXBROADCASTFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].RXMULTICASTFRAMES = CSL_XGE_CPSW_RXMULTICASTFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].RXPAUSEFRAMES = CSL_XGE_CPSW_RXPAUSEFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].RXCRCERRORS = CSL_XGE_CPSW_RXCRCERRORS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].RXALIGNCODEERRORS = CSL_XGE_CPSW_RXALIGNCODEERRORS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].RXOVERSIZEDFRAMES = CSL_XGE_CPSW_RXOVERSIZEDFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].RXJABBERFRAMES = CSL_XGE_CPSW_RXJABBERFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].RXUNDERSIZEDFRAMES = CSL_XGE_CPSW_RXUNDERSIZEDFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].RXFRAGMENTS = CSL_XGE_CPSW_RXFRAGMENTS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].OVERRUNTYPE4 = CSL_XGE_CPSW_OVERRUNTYPE4_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].OVERRUNTYPE5 = CSL_XGE_CPSW_OVERRUNTYPE5_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].RXOCTETS = CSL_XGE_CPSW_RXOCTETS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].TXGOODFRAMES = CSL_XGE_CPSW_TXGOODFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].TXBROADCASTFRAMES = CSL_XGE_CPSW_TXBROADCASTFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].TXMULTICASTFRAMES = CSL_XGE_CPSW_TXMULTICASTFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].TXPAUSEFRAMES = CSL_XGE_CPSW_TXPAUSEFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].TXDEFERREDFRAMES = CSL_XGE_CPSW_TXDEFERREDFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].TXCOLLISIONFRAMES = CSL_XGE_CPSW_TXCOLLISIONFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].TXSINGLECOLLFRAMES = CSL_XGE_CPSW_TXSINGLECOLLFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].TXMULTCOLLFRAMES = CSL_XGE_CPSW_TXMULTCOLLFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].TXEXCESSIVECOLLISIONS = CSL_XGE_CPSW_TXEXCESSIVECOLLISIONS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].TXLATECOLLISIONS = CSL_XGE_CPSW_TXLATECOLLISIONS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].RXIPGERROR = CSL_XGE_CPSW_RXIPGERROR_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].TXCARRIERSENSEERRORS = CSL_XGE_CPSW_TXCARRIERSENSEERRORS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].TXOCTETS = CSL_XGE_CPSW_TXOCTETS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].OCTETFRAMES64 = CSL_XGE_CPSW_OCTETFRAMES64_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].OCTETFRAMES65T127 = CSL_XGE_CPSW_OCTETFRAMES65T127_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].OCTETFRAMES128T255 = CSL_XGE_CPSW_OCTETFRAMES128T255_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].OCTETFRAMES256T511 = CSL_XGE_CPSW_OCTETFRAMES256T511_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].OCTETFRAMES512T1023 = CSL_XGE_CPSW_OCTETFRAMES512T1023_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].OCTETFRAMES1024TUP = CSL_XGE_CPSW_OCTETFRAMES1024TUP_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].NETOCTETS = CSL_XGE_CPSW_NETOCTETS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].OVERRUNTYPE1 = CSL_XGE_CPSW_OVERRUNTYPE1_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].OVERRUNTYPE2 = CSL_XGE_CPSW_OVERRUNTYPE2_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[1].OVERRUNTYPE3 = CSL_XGE_CPSW_OVERRUNTYPE3_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].RXGOODFRAMES = CSL_XGE_CPSW_RXGOODFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].RXBROADCASTFRAMES = CSL_XGE_CPSW_RXBROADCASTFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].RXMULTICASTFRAMES = CSL_XGE_CPSW_RXMULTICASTFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].RXPAUSEFRAMES = CSL_XGE_CPSW_RXPAUSEFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].RXCRCERRORS = CSL_XGE_CPSW_RXCRCERRORS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].RXALIGNCODEERRORS = CSL_XGE_CPSW_RXALIGNCODEERRORS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].RXOVERSIZEDFRAMES = CSL_XGE_CPSW_RXOVERSIZEDFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].RXJABBERFRAMES = CSL_XGE_CPSW_RXJABBERFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].RXUNDERSIZEDFRAMES = CSL_XGE_CPSW_RXUNDERSIZEDFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].RXFRAGMENTS = CSL_XGE_CPSW_RXFRAGMENTS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].OVERRUNTYPE4 = CSL_XGE_CPSW_OVERRUNTYPE4_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].OVERRUNTYPE5 = CSL_XGE_CPSW_OVERRUNTYPE5_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].RXOCTETS = CSL_XGE_CPSW_RXOCTETS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].TXGOODFRAMES = CSL_XGE_CPSW_TXGOODFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].TXBROADCASTFRAMES = CSL_XGE_CPSW_TXBROADCASTFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].TXMULTICASTFRAMES = CSL_XGE_CPSW_TXMULTICASTFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].TXPAUSEFRAMES = CSL_XGE_CPSW_TXPAUSEFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].TXDEFERREDFRAMES = CSL_XGE_CPSW_TXDEFERREDFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].TXCOLLISIONFRAMES = CSL_XGE_CPSW_TXCOLLISIONFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].TXSINGLECOLLFRAMES = CSL_XGE_CPSW_TXSINGLECOLLFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].TXMULTCOLLFRAMES = CSL_XGE_CPSW_TXMULTCOLLFRAMES_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].TXEXCESSIVECOLLISIONS = CSL_XGE_CPSW_TXEXCESSIVECOLLISIONS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].TXLATECOLLISIONS = CSL_XGE_CPSW_TXLATECOLLISIONS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].RXIPGERROR = CSL_XGE_CPSW_RXIPGERROR_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].TXCARRIERSENSEERRORS = CSL_XGE_CPSW_TXCARRIERSENSEERRORS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].TXOCTETS = CSL_XGE_CPSW_TXOCTETS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].OCTETFRAMES64 = CSL_XGE_CPSW_OCTETFRAMES64_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].OCTETFRAMES65T127 = CSL_XGE_CPSW_OCTETFRAMES65T127_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].OCTETFRAMES128T255 = CSL_XGE_CPSW_OCTETFRAMES128T255_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].OCTETFRAMES256T511 = CSL_XGE_CPSW_OCTETFRAMES256T511_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].OCTETFRAMES512T1023 = CSL_XGE_CPSW_OCTETFRAMES512T1023_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].OCTETFRAMES1024TUP = CSL_XGE_CPSW_OCTETFRAMES1024TUP_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].NETOCTETS = CSL_XGE_CPSW_NETOCTETS_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].OVERRUNTYPE1 = CSL_XGE_CPSW_OVERRUNTYPE1_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].OVERRUNTYPE2 = CSL_XGE_CPSW_OVERRUNTYPE2_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_STATS[2].OVERRUNTYPE3 = CSL_XGE_CPSW_OVERRUNTYPE3_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].CTL_REG = CSL_XGE_CPSW_CTL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].SEND_REG[0] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].SEND_REG[1] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].SEND_REG[2] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].SEND_REG[3] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].SEND_REG[4] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].SEND_REG[5] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].SEND_REG[6] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].SEND_REG[7] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].IDLE_REG[0] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].IDLE_REG[1] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].IDLE_REG[2] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].IDLE_REG[3] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].IDLE_REG[4] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].IDLE_REG[5] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].IDLE_REG[6] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[0].IDLE_REG[7] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].CTL_REG = CSL_XGE_CPSW_CTL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].SEND_REG[0] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].SEND_REG[1] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].SEND_REG[2] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].SEND_REG[3] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].SEND_REG[4] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].SEND_REG[5] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].SEND_REG[6] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].SEND_REG[7] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].IDLE_REG[0] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].IDLE_REG[1] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].IDLE_REG[2] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].IDLE_REG[3] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].IDLE_REG[4] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].IDLE_REG[5] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].IDLE_REG[6] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[1].IDLE_REG[7] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].CTL_REG = CSL_XGE_CPSW_CTL_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].SEND_REG[0] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].SEND_REG[1] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].SEND_REG[2] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].SEND_REG[3] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].SEND_REG[4] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].SEND_REG[5] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].SEND_REG[6] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].SEND_REG[7] = CSL_XGE_CPSW_SEND_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].IDLE_REG[0] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].IDLE_REG[1] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].IDLE_REG[2] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].IDLE_REG[3] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].IDLE_REG[4] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].IDLE_REG[5] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].IDLE_REG[6] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    CSL_Xge_cpsw_ResetVals.PORT_PRI[2].IDLE_REG[7] = CSL_XGE_CPSW_IDLE_REG_RESETVAL;
    return ((void *)&CSL_Xge_cpsw_ResetVals);
}
