/*
 *  ======== package.xs ========
 *
 */

/*
 *  ======== Package.getLibs ========
 *  This function is called when a program's configuration files are
 *  being generated and it returns the name of a library appropriate
 *  for the program's configuration.
 */

function getLibs(prog)
{
    var nwalSettings = this.Settings;
    if (prog.build.target.suffix == "e66")
    {
        /* 66 ELF LITTLE: Default NWAL library or SALLD enabled NWAL library */
        if (nwalSettings.useNwalSaLib == true)
            lib = "lib/c66/ti.drv.nwal.sa.ae66";
        else
            lib = "lib/c66/ti.drv.nwal.ae66";
    }
    else if (prog.build.target.suffix == "e66e")
    {
        /* 66 ELF LITTLE: Default NWAL library or SALLD enabled NWAL library */
        if (nwalSettings.useNwalSaLib == true)
            lib = "lib/c66/ti.drv.nwal.sa.ae66e";
        else
            lib = "lib/c66/ti.drv.nwal.ae66e";
    }
    if (java.io.File(this.packageBase + lib).exists()) {
        return lib;
    }
    
    /* could not find any library, throw exception */
    throw Error("Library not found: " + name);
}

/*
 *  ======== package.close ========
 */
function close()
{    
    if (xdc.om.$name != 'cfg') {
        return;
    }
}
