/*  (C) Copyright 2009-2012 Texas Instruments, Inc.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef QMSS_ACC16_LE_H_
#define QMSS_ACC16_LE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int acc16_le[] =  {
     0x21000300,
     0x80011000,
     0x01000008,
     0x240000e0,
     0x81002280,
     0x241117e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x2eff8b82,
     0x2400ff07,
     0x2400ff27,
     0x2400ff47,
     0x2400ff67,
     0x24002f26,
     0x91182a80,
     0x24018082,
     0x240002c2,
     0x5101e01b,
     0x24418082,
     0x240002c2,
     0x5102e018,
     0x24818082,
     0x240002c2,
     0x5103e015,
     0x24c18082,
     0x240002c2,
     0x5104e012,
     0x24018082,
     0x240003c2,
     0x5105e00f,
     0x24418082,
     0x240003c2,
     0x5106e00c,
     0x24818082,
     0x240003c2,
     0x5107e009,
     0x24c18082,
     0x240003c2,
     0x5108e006,
     0x24de0080,
     0x24fee1c0,
     0x240018e1,
     0x80e12a80,
     0x21002c00,
     0x24000366,
     0x242000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02a81,
     0x6f00e0fe,
     0x24100081,
     0x248001c1,
     0x240018e0,
     0x80e02a81,
     0x0104e0e0,
     0x24000881,
     0x240100c1,
     0x80e02a81,
     0x1d004646,
     0xc91fff03,
     0x1f1fffff,
     0x1f004646,
     0x01012626,
     0x69302602,
     0x24002026,
     0x93002a88,
     0xc907284b,
     0x69802818,
     0x61100803,
     0x24000368,
     0x21008c00,
     0x61200807,
     0x052008e0,
     0xd0e08403,
     0x24000468,
     0x21008c00,
     0x1ce08484,
     0x21005100,
     0xce08e3fc,
     0x1c08e3e3,
     0x10080806,
     0x090406e0,
     0x090206e1,
     0x00e1e0e0,
     0x0140e0e0,
     0x92e02a89,
     0x117f4646,
     0x51008d02,
     0x23016c9e,
     0x24000168,
     0x21008c00,
     0x6981281e,
     0x244000e0,
     0x60e08b03,
     0x24000668,
     0x21008c00,
     0x61100803,
     0x24000368,
     0x21008c00,
     0x61200807,
     0x052008e0,
     0xc8e08403,
     0x24000568,
     0x21008c00,
     0x1ee08484,
     0x21006d00,
     0xd608e3fc,
     0x1e08e3e3,
     0x2400006c,
     0x2400008d,
     0x240000cd,
     0xd1014c03,
     0xc9004c02,
     0x1f016c6c,
     0x090408e0,
     0x090208e1,
     0x00e1e0e0,
     0x0140e0e0,
     0x82e02a89,
     0x24000168,
     0x21008c00,
     0x69822809,
     0x240000e0,
     0x81002280,
     0x1f1fffff,
     0x81042289,
     0x248003e0,
     0x81002280,
     0x24000168,
     0x21008c00,
     0x69832804,
     0x10e9e9c4,
     0x24000168,
     0x21008c00,
     0x69842804,
     0x10e9e9e5,
     0x24000168,
     0x21008c00,
     0x24000268,
     0x24000028,
     0x81002a88,
     0x5100c402,
     0x2301859e,
     0x51008502,
     0x2301a19e,
     0x23013d9e,
     0x24000006,
     0x110f66e0,
     0x690fe003,
     0x23013d9e,
     0x21009400,
     0x61200604,
     0x052006e0,
     0xc8e08434,
     0x21009d00,
     0xc806e332,
     0x117f4646,
     0x090406e0,
     0x090206e1,
     0x00e1e0e0,
     0x0140e0f1,
     0x92f12a89,
     0xd1026c2b,
     0x01018de0,
     0x50cbe020,
     0x0b058be0,
     0x0902e0e0,
     0x90e02581,
     0xd1054c07,
     0xc88be10f,
     0x108b8b8e,
     0x2300d69e,
     0x01018de0,
     0x50cbe017,
     0x2100b900,
     0x10e9e1ef,
     0x2701ef8e,
     0x51208e07,
     0x1c8eefef,
     0x008b8e8e,
     0x2300d69e,
     0x01018de0,
     0x6ecbe0fa,
     0x2100c500,
     0xc9074606,
     0xc9014c05,
     0xd1004c02,
     0xd1016c03,
     0x108c8ccd,
     0x1f016c6c,
     0xc9016c0e,
     0x5100cd04,
     0xc900460c,
     0x0501cdcd,
     0x6900cd0a,
     0x51008d09,
     0x012006e1,
     0x6120e104,
     0x0520e1e1,
     0x910c2380,
     0x2100cb00,
     0x91082380,
     0xd0e1e002,
     0x23011c9e,
     0x82f12a89,
     0x4f1f066d,
     0x511f0604,
     0x01010606,
     0x671006c3,
     0x21003b00,
     0x10262606,
     0x671006c0,
     0x21003b00,
     0x10e2e2f0,
     0x090406e0,
     0x0406e0e0,
     0x0905e0e0,
     0x00e0f0f0,
     0x01018dce,
     0x04cecbce,
     0x5100ce3e,
     0x110c4c00,
     0x5104001c,
     0x5108002f,
     0x1904cece,
     0x09048ee0,
     0x010ce0e0,
     0x90e02692,
     0x5100f236,
     0x7101ce0c,
     0x90e02693,
     0x6900f302,
     0x240001ce,
     0x7102ce08,
     0x90e02694,
     0x6900f402,
     0x240002ce,
     0x7103ce04,
     0x90e02695,
     0x6900f502,
     0x240003ce,
     0x09028de1,
     0xc9044c02,
     0x0104e1e1,
     0x0902ce00,
     0xeee1d012,
     0x00ce8d8d,
     0x1f074646,
     0x5704cee2,
     0x21011b00,
     0x1902cece,
     0x09048ee0,
     0x0108e0e0,
     0x90e06692,
     0x5100f31c,
     0x108e8ed2,
     0x5101ce04,
     0x90e06694,
     0x6900f502,
     0x240001ce,
     0x108e8ed4,
     0x09038de1,
     0xc9044c02,
     0x0108e1e1,
     0x0903ce00,
     0xeee1d012,
     0x00ce8d8d,
     0x1f074646,
     0x5702cece,
     0x21011b00,
     0x1901cece,
     0x09048ee0,
     0x90e0e692,
     0x5100f509,
     0x108e8ed4,
     0x09048de1,
     0xc9044c02,
     0x0110e1e1,
     0xe0e1f092,
     0x01018d8d,
     0x1f074646,
     0x2100db00,
     0x209e0000,
     0x10e2e2f6,
     0x090406e0,
     0x0406e0e0,
     0x0905e0e0,
     0x00e0f6f6,
     0x0b024ce0,
     0x1103e0e0,
     0x0102e0e1,
     0xc9044c04,
     0x108d8de0,
     0xe1003680,
     0x21012d00,
     0x2eff8792,
     0x24000100,
     0x08e10000,
     0x08e18dc0,
     0xeec0d612,
     0x10eaeaf7,
     0xc9006c03,
     0x08e1cbe0,
     0x00e0f7f7,
     0x01018de0,
     0x08e1e098,
     0x249030d8,
     0x13f06600,
     0x270000e0,
     0x0906e0e1,
     0x80e1a896,
     0x1f026c6c,
     0x1ee06666,
     0x011ce001,
     0x2c800601,
     0x209e0000,
     0x110c6619,
     0x27011939,
     0x5120392c,
     0x1c391919,
     0x090639e0,
     0x90e0a896,
     0xd71ef8fb,
     0x6f0098fa,
     0x010439e1,
     0xd0e16609,
     0x1ee16666,
     0x0504f6e1,
     0x0504f7f6,
     0x10e1e1f7,
     0x24000498,
     0x249030d8,
     0x80e0a896,
     0x21013e00,
     0x1ce16666,
     0x1c396666,
     0x011c3901,
     0x2c200159,
     0x090459e0,
     0x090259e1,
     0x00e1e0e0,
     0x0140e0f1,
     0x92f12a89,
     0x1d026c6c,
     0x15016c6c,
     0x2400008d,
     0x1d016c6c,
     0xd1014c04,
     0xc9004c03,
     0x108c8ccd,
     0x1f016c6c,
     0x82f12a89,
     0x012059e0,
     0x240001e1,
     0x6120e005,
     0x0520e0e0,
     0x08e0e1e1,
     0x81042381,
     0x21013e00,
     0x08e0e1e1,
     0x81002381,
     0x21013e00,
     0x209e0000,
     0x109e9ede,
     0x012006e1,
     0x6120e104,
     0x0520e1e1,
     0x910c2380,
     0x21017300,
     0x91082380,
     0xd6e1e0fa,
     0xd1026c0c,
     0x110f66e0,
     0x690fe009,
     0x23013d9e,
     0x110f66e0,
     0x570fe0fe,
     0x090406e0,
     0x090206e1,
     0x00e1e0e0,
     0x0140e0e0,
     0x92e02a89,
     0x23011c9e,
     0x23013d9e,
     0x110f66e0,
     0x6f00e0fe,
     0x10dede9e,
     0x209e0000,
     0x0904c4e0,
     0x010ce0e0,
     0x90e02692,
     0x5100f218,
     0x11f01212,
     0xf3007288,
     0x11c068e0,
     0x5100e003,
     0x5180e00e,
     0x2101a000,
     0xd10fea02,
     0x240000ed,
     0x240000f1,
     0xc90eea02,
     0x1f1ff1f1,
     0x113f2a2a,
     0x09048ae0,
     0x0108e0e0,
     0x80e06691,
     0x5700eded,
     0xf3006d88,
     0x21019100,
     0x113f2a2a,
     0x09048ae0,
     0x010ce0e0,
     0x80e02692,
     0x21018500,
     0x209e0000,
     0x090485e0,
     0x010ce0e0,
     0x90e02692,
     0x5100f20c,
     0x10f2f2f1,
     0x11f01111,
     0xf5003188,
     0x11c068e0,
     0x6900e004,
     0xc91fea03,
     0x242008e0,
     0xe1002090,
     0x0904c5e0,
     0x010ce0e0,
     0x80e02692,
     0x209e0000 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_ACC16_LE_H_ */

