@REM ******************************************************************************
@REM * FILE PURPOSE: Environment Setup for building Fault Management Library
@REM ******************************************************************************
@REM * FILE NAME: setupenv.bat
@REM *
@REM * DESCRIPTION: 
@REM *  Configures and sets up the Build Environment for Fault Management Lib
@REM *
@REM * Copyright (C) 2012, Texas Instruments, Inc.
@REM *****************************************************************************

@echo ---------------------------------------
@echo Configuring Fault Management Lib Build Environment
@echo.
@echo Build Environment Settings:
@echo off

IF DEFINED PARTNO GOTO partno_defined
@REM Configure the Part Number
set PARTNO=K2K
:partno_Defined
@echo PARTNO = %PARTNO%

IF DEFINED PDK_INSTALL_PATH GOTO pdk_defined
set PDK_INSTALL_PATH=C:\ti\pdk_keystone2_1_00_00_11\packages
:pdk_defined
@echo PDK_INSTALL_PATH = %PDK_INSTALL_PATH%

IF DEFINED BIOS_INSTALL_PATH GOTO bios_defined
set BIOS_INSTALL_PATH=C:\ti\bios_6_33_05_46\packages
:bios_defined
@echo BIOS_INSTALL_PATH = %BIOS_INSTALL_PATH%

IF DEFINED C6X_GEN_INSTALL_PATH GOTO c6x_gen_defined
set C6X_GEN_INSTALL_PATH=C:\ti\ccsv5\tools\compiler\c6000_7.4.2
:c6x_gen_defined
set XDCCGROOT=%C6X_GEN_INSTALL_PATH%
@echo C6X_GEN_INSTALL_PATH = %C6X_GEN_INSTALL_PATH%

IF DEFINED XDC_INSTALL_PATH GOTO xdc_defined
set XDC_INSTALL_PATH=C:\ti\xdctools_3_25_00_48
:xdc_defined
@echo XDC_INSTALL_PATH = %XDC_INSTALL_PATH%

REM *******************************************************************************
REM *************************** XDC PATH Configuration ****************************
REM *******************************************************************************
REM Fault Management library depends upon the following packages:-
REM     - PDK
REM     - BIOS
REM     - XDC

@REM Specify the XDC Tool Path
set XDCPATH=../../..;%XDC_INSTALL_PATH%/packages

@REM Configure the XDCPATH
set XDCPATH=%XDCPATH%;%PDK_INSTALL_PATH%;%BIOS_INSTALL_PATH%;%C6X_GEN_INSTALL_PATH%/include

@REM Configure the paths to ensure that the XDC is available.
set PATH=%XDC_INSTALL_PATH%;%XDC_INSTALL_PATH%\bin

@REM Setting Doxygen path for internal use only.
set PATH=%PATH%;T:\Doxygen\doxygen\1.5.1-p1\bin

@REM Add XDC codegen root and CG_XML to the PATH (Setting cgxml path for internal use only)
set PATH=%PATH%;%XDCCGROOT%\bin;C:\ti\cg_xml\bin

@REM Third Party Tools: HTML Help compiler.(Setting HTML Help Workshop path for internal use only)
set PATH=%PATH%;T:\Doxygen\HTML_Help_Workshop\10-01-2007

@REM Set the Title Window appropriately.
Title Fault Management Library Build Environment

@echo.
@echo Fault Management Lib Build Environment Configured 
@echo ---------------------------------------

